from typing import Tuple, Set, Iterable, List

class AboutDialog(CommonDialog):
    def __init__(self): ...
    def __init__(self, assembly : Assembly): ...
    @property
    def Copyright (self) -> str: ...
    @Copyright.setter
    def Copyright (self, value : str) -> None: ...
    @property
    def Designers (self) -> Set(str): ...
    @Designers.setter
    def Designers (self, value : Set(str)) -> None: ...
    @property
    def Developers (self) -> Set(str): ...
    @Developers.setter
    def Developers (self, value : Set(str)) -> None: ...
    @property
    def Documenters (self) -> Set(str): ...
    @Documenters.setter
    def Documenters (self, value : Set(str)) -> None: ...
    @property
    def License (self) -> str: ...
    @License.setter
    def License (self, value : str) -> None: ...
    @property
    def Logo (self) -> Image: ...
    @Logo.setter
    def Logo (self, value : Image) -> None: ...
    @property
    def ProgramDescription (self) -> str: ...
    @ProgramDescription.setter
    def ProgramDescription (self, value : str) -> None: ...
    @property
    def ProgramName (self) -> str: ...
    @ProgramName.setter
    def ProgramName (self, value : str) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Version (self) -> str: ...
    @Version.setter
    def Version (self, value : str) -> None: ...
    @property
    def Website (self) -> Uri: ...
    @Website.setter
    def Website (self, value : Uri) -> None: ...
    @property
    def WebsiteLabel (self) -> str: ...
    @WebsiteLabel.setter
    def WebsiteLabel (self, value : str) -> None: ...
class Application(Widget):
    def __init__(self): ...
    def __init__(self, platformType : str): ...
    def __init__(self, platform : Platform): ...
    @property
    def Instance () -> Application: ...
    def add_Initialized (self, value : EventHandler) -> None: ...
    def remove_Initialized (self, value : EventHandler) -> None: ...
    def add_Terminating (self, value : EventHandler) -> None: ...
    def remove_Terminating (self, value : EventHandler) -> None: ...
    def add_UnhandledException (self, value : EventHandler) -> None: ...
    def remove_UnhandledException (self, value : EventHandler) -> None: ...
    def add_NotificationActivated (self, value : EventHandler) -> None: ...
    def remove_NotificationActivated (self, value : EventHandler) -> None: ...
    @property
    def MainForm (self) -> Form: ...
    @MainForm.setter
    def MainForm (self, value : Form) -> None: ...
    @property
    def Windows (self) -> Iterable[Window]: ...
    @property
    def Name (self) -> str: ...
    @Name.setter
    def Name (self, value : str) -> None: ...
    def Run (self) -> None: ...
    def Run (self, mainForm : Form) -> None: ...
    def Run (self, dialog : Dialog) -> None: ...
    def Attach (self, context : Object) -> Application: ...
    def Invoke (self, action : Action) -> None: ...
    def Invoke (self, func : Func) -> T: ...
    def AsyncInvoke (self, action : Action) -> None: ...
    def InvokeAsync (self, func : Func) -> Task: ...
    def InvokeAsync (self, action : Action) -> Task: ...
    def Quit (self) -> None: ...
    @property
    def QuitIsSupported (self) -> bool: ...
    def Open (self, url : str) -> None: ...
    @property
    def CommonModifier (self) -> Keys: ...
    @property
    def AlternateModifier (self) -> Keys: ...
    @property
    def BadgeLabel (self) -> str: ...
    @BadgeLabel.setter
    def BadgeLabel (self, value : str) -> None: ...
    def RunIteration (self) -> None: ...
    def Restart (self) -> None: ...
class BindingExtensions:
    def WhenLostFocus (binding : BindableBinding) -> BindableBinding: ...
class BindableExtensions:
    def Bind (bindable : IBindable, propertyName : str, source : Object, sourcePropertyName : str, mode : DualBindingMode) -> DualBinding: ...
    def Bind (bindable : IBindable, widgetPropertyName : str, sourceBinding : DirectBinding, mode : DualBindingMode) -> DualBinding: ...
    def BindDataContext (bindable : IBindable, controlPropertyName : str, dataContextPropertyName : str, mode : DualBindingMode, defaultControlValue : T, defaultContextValue : T) -> DualBinding: ...
    def Bind (bindable : IBindable, controlBinding : IndirectBinding, valueBinding : DirectBinding, mode : DualBindingMode) -> DualBinding: ...
    def Bind (bindable : IBindable, controlBinding : IndirectBinding, objectValue : Object, objectBinding : IndirectBinding, mode : DualBindingMode, defaultControlValue : T, defaultContextValue : T) -> DualBinding: ...
    def BindDataContext (bindable : IBindable, controlBinding : IndirectBinding, dataContextBinding : IndirectBinding, mode : DualBindingMode, defaultControlValue : T, defaultContextValue : T) -> DualBinding: ...
    def Bind (control : TWidget, controlProperty : Expression, source : TSource, sourceProperty : Expression, mode : DualBindingMode) -> DualBinding: ...
    def Bind (control : TWidget, controlProperty : Expression, source : TSource, sourceBinding : IndirectBinding, mode : DualBindingMode) -> DualBinding: ...
    def Bind (control : TWidget, controlProperty : Expression, sourceBinding : DirectBinding, mode : DualBindingMode) -> DualBinding: ...
    def BindDataContext (control : TWidget, controlProperty : Expression, sourceProperty : Expression, mode : DualBindingMode, defaultControlValue : TValue, defaultContextValue : TValue) -> DualBinding: ...
    def BindDataContext (control : TWidget, controlProperty : Expression, sourceBinding : IndirectBinding, mode : DualBindingMode, defaultControlValue : TValue, defaultContextValue : TValue) -> DualBinding: ...
class BindableWidget(Widget):
    def add_DataContextChanged (self, value : EventHandler) -> None: ...
    def remove_DataContextChanged (self, value : EventHandler) -> None: ...
    @property
    def Parent (self) -> Widget: ...
    def FindParent (self, id : str) -> T: ...
    def FindParent (self, type : Type, id : str) -> Widget: ...
    def FindParent (self, id : str) -> Widget: ...
    @property
    def Parents (self) -> Iterable[Widget]: ...
    @property
    def DataContext (self) -> Object: ...
    @DataContext.setter
    def DataContext (self, value : Object) -> None: ...
    @property
    def Bindings (self) -> BindingCollection: ...
    def Unbind (self) -> None: ...
    def UpdateBindings (self, mode : BindingUpdateMode) -> None: ...
class BindingUpdateMode:
    Source = 0
    Destination = 1
class IBinding:
    def Unbind (self) -> None: ...
    def Update (self, mode : BindingUpdateMode) -> None: ...
class Binding:
    def add_Changing (self, value : EventHandler) -> None: ...
    def remove_Changing (self, value : EventHandler) -> None: ...
    def add_Changed (self, value : EventHandler) -> None: ...
    def remove_Changed (self, value : EventHandler) -> None: ...
    def Unbind (self) -> None: ...
    def Update (self, mode : BindingUpdateMode) -> None: ...
    def Delegate (getValue : Func, setValue : Action, addChangeEvent : Action, removeChangeEvent : Action, defaultGetValue : TValue, defaultSetValue : TValue) -> IndirectBinding: ...
    def Delegate (getValue : Func, setValue : Action, addChangeEvent : Action, removeChangeEvent : Action) -> DirectBinding: ...
    def Property (model : T, propertyExpression : Expression) -> DirectBinding: ...
    def Property (propertyExpression : Expression) -> IndirectBinding: ...
    def Property (propertyName : str) -> IndirectBinding: ...
    def Property (propertyName : str, ignoreCase : bool) -> IndirectBinding: ...
    def AddPropertyEvent (obj : Object, propertyName : str, eh : EventHandler) -> None: ...
    def AddPropertyEvent (obj : T, propertyExpression : Expression, eh : EventHandler) -> None: ...
    def RemovePropertyEvent (obj : Object, eh : EventHandler) -> None: ...
    def ExecuteCommand (dataContext : Object, commandBinding : IndirectBinding, parameter : Object) -> None: ...
    def ExecuteCommand (dataContext : Object, commandExpression : Expression, parameter : Object) -> None: ...
class BindingChangedEventArgs:
    def __init__(self, value : Object): ...
    @property
    def Value (self) -> Object: ...
class BindingChangingEventArgs:
    def __init__(self, value : Object): ...
    @property
    def Value (self) -> Object: ...
    @Value.setter
    def Value (self, value : Object) -> None: ...
class BindingCollection:
    def __init__(self): ...
    def Unbind (self) -> None: ...
    def Update (self, mode : BindingUpdateMode) -> None: ...
class IColumnItem:
    def GetValue (self, column : int) -> Object: ...
    def SetValue (self, column : int, value : Object) -> None: ...
class DualBindingMode:
    OneWay = 0
    TwoWay = 1
    OneWayToSource = 2
    OneTime = 3
    Manual = 4
class IBindable:
    @property
    def DataContext (self) -> Object: ...
    @DataContext.setter
    def DataContext (self, value : Object) -> None: ...
    def add_DataContextChanged (self, value : EventHandler) -> None: ...
    def remove_DataContextChanged (self, value : EventHandler) -> None: ...
    @property
    def Bindings (self) -> BindingCollection: ...
class IValueConverter:
    def Convert (self, value : Object, targetType : Type, parameter : Object, culture : CultureInfo) -> Object: ...
    def ConvertBack (self, value : Object, targetType : Type, parameter : Object, culture : CultureInfo) -> Object: ...
class Cell(Widget):
class CheckBoxCell:
    def __init__(self, column : int): ...
    def __init__(self, property : str): ...
    def __init__(self): ...
class ComboBoxCell:
    def __init__(self, column : int): ...
    def __init__(self, property : str): ...
    def __init__(self): ...
    @property
    def ComboTextBinding (self) -> IIndirectBinding: ...
    @ComboTextBinding.setter
    def ComboTextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ComboKeyBinding (self) -> IIndirectBinding: ...
    @ComboKeyBinding.setter
    def ComboKeyBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
class CellStates:
    None = 0
    Selected = 1
    Editing = 2
class CellEventArgs:
    def __init__(self, row : int, item : Object, cellState : CellStates): ...
    @property
    def CellState (self) -> CellStates: ...
    @property
    def Item (self) -> Object: ...
    @property
    def Row (self) -> int: ...
    @property
    def CellTextColor (self) -> Color: ...
    @property
    def IsEditing (self) -> bool: ...
    @property
    def IsSelected (self) -> bool: ...
    def add_PropertyChanged (self, value : PropertyChangedEventHandler) -> None: ...
    def remove_PropertyChanged (self, value : PropertyChangedEventHandler) -> None: ...
class CustomCell(Cell):
    def __init__(self): ...
    @property
    def SupportsControlView () -> bool: ...
    def Create () -> CustomCell: ...
    @property
    def CreateCell (self) -> Func: ...
    @CreateCell.setter
    def CreateCell (self, value : Func) -> None: ...
    @property
    def GetIdentifier (self) -> Func: ...
    @GetIdentifier.setter
    def GetIdentifier (self, value : Func) -> None: ...
    @property
    def GetPreferredWidth (self) -> Func: ...
    @GetPreferredWidth.setter
    def GetPreferredWidth (self, value : Func) -> None: ...
    @property
    def ConfigureCell (self) -> Action: ...
    @ConfigureCell.setter
    def ConfigureCell (self, value : Action) -> None: ...
    def add_Paint (self, value : EventHandler) -> None: ...
    def remove_Paint (self, value : EventHandler) -> None: ...
class CellPaintEventArgs(PaintEventArgs):
    def __init__(self, graphics : Graphics, clipRectangle : RectangleF, cellState : CellStates, item : Object): ...
    @property
    def CellState (self) -> CellStates: ...
    @property
    def Item (self) -> Object: ...
    @property
    def IsEditing (self) -> bool: ...
    @property
    def IsSelected (self) -> bool: ...
class DrawableCellPaintEventArgs(CellPaintEventArgs):
    def __init__(self, graphics : Graphics, clipRectangle : RectangleF, cellState : CellStates, item : Object): ...
class DrawableCell(Cell):
    def __init__(self): ...
    def add_Paint (self, value : EventHandler) -> None: ...
    def remove_Paint (self, value : EventHandler) -> None: ...
class DrawableCellStates:
    @property
    def Selected () -> DrawableCellStates: ...
    @property
    def None () -> DrawableCellStates: ...
    def op_Implicit (orientation : DrawableCellStates) -> CellStates: ...
    def op_Implicit (orientation : CellStates) -> DrawableCellStates: ...
    def op_Equality (value1 : CellStates, value2 : DrawableCellStates) -> bool: ...
    def op_Inequality (value1 : CellStates, value2 : DrawableCellStates) -> bool: ...
    def Equals (self, obj : Object) -> bool: ...
    def GetHashCode (self) -> int: ...
class ImageTextCell(Cell):
    def __init__(self, imageColumn : int, textColumn : int): ...
    def __init__(self, imageProperty : str, textProperty : str): ...
    def __init__(self): ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def VerticalAlignment (self) -> VerticalAlignment: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def AutoSelectMode (self) -> AutoSelectMode: ...
    @AutoSelectMode.setter
    def AutoSelectMode (self, value : AutoSelectMode) -> None: ...
    @property
    def ImageBinding (self) -> IIndirectBinding: ...
    @ImageBinding.setter
    def ImageBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def TextBinding (self) -> IIndirectBinding: ...
    @TextBinding.setter
    def TextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ImageInterpolation (self) -> ImageInterpolation: ...
    @ImageInterpolation.setter
    def ImageInterpolation (self, value : ImageInterpolation) -> None: ...
class ImageViewCell:
    def __init__(self, column : int): ...
    def __init__(self, property : str): ...
    def __init__(self): ...
    @property
    def ImageInterpolation (self) -> ImageInterpolation: ...
    @ImageInterpolation.setter
    def ImageInterpolation (self, value : ImageInterpolation) -> None: ...
class ProgressCell:
    def __init__(self, column : int): ...
    def __init__(self, property : str, ignoreCase : bool): ...
    def __init__(self): ...
class PropertyCellType:
    @property
    def Identifier (self) -> str: ...
    def CanDisplay (self, itemType : Object) -> bool: ...
    def OnCreate (self, args : CellEventArgs) -> Control: ...
    def OnConfigure (self, args : CellEventArgs, control : Control) -> None: ...
    def OnPaint (self, args : CellPaintEventArgs) -> None: ...
class PropertyCellTypeBoolean:
    def __init__(self): ...
    def OnCreate (self, args : CellEventArgs) -> Control: ...
    def OnPaint (self, args : CellPaintEventArgs) -> None: ...
class PropertyCellTypeString:
    def __init__(self): ...
    def OnCreate (self, args : CellEventArgs) -> Control: ...
    def OnPaint (self, args : CellPaintEventArgs) -> None: ...
class PropertyCellTypeColor:
    def __init__(self): ...
    @property
    def ShowHex (self) -> bool: ...
    @ShowHex.setter
    def ShowHex (self, value : bool) -> None: ...
    @property
    def ShowAlpha (self) -> bool: ...
    @ShowAlpha.setter
    def ShowAlpha (self, value : bool) -> None: ...
    @property
    def HexEditable (self) -> bool: ...
    @HexEditable.setter
    def HexEditable (self, value : bool) -> None: ...
    def OnCreate (self, args : CellEventArgs) -> Control: ...
    def OnPaint (self, args : CellPaintEventArgs) -> None: ...
class PropertyCellTypeDateTime:
    def __init__(self): ...
    @property
    def Mode (self) -> DateTimePickerMode: ...
    @Mode.setter
    def Mode (self, value : DateTimePickerMode) -> None: ...
    def OnCreate (self, args : CellEventArgs) -> Control: ...
    def OnPaint (self, args : CellPaintEventArgs) -> None: ...
class PropertyCellTypeDropDown:
    def __init__(self): ...
    @property
    def ItemsBinding (self) -> IndirectBinding: ...
    @ItemsBinding.setter
    def ItemsBinding (self, value : IndirectBinding) -> None: ...
    @property
    def ItemTextBinding (self) -> IndirectBinding: ...
    @ItemTextBinding.setter
    def ItemTextBinding (self, value : IndirectBinding) -> None: ...
    @property
    def ItemKeyBinding (self) -> IndirectBinding: ...
    @ItemKeyBinding.setter
    def ItemKeyBinding (self, value : IndirectBinding) -> None: ...
    def OnCreate (self, args : CellEventArgs) -> Control: ...
    def OnPaint (self, args : CellPaintEventArgs) -> None: ...
class PropertyCell(CustomCell):
    def __init__(self): ...
    @property
    def TypeBinding (self) -> IIndirectBinding: ...
    @TypeBinding.setter
    def TypeBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def Types (self) -> List[PropertyCellType]: ...
class TextBoxCell:
    def __init__(self, column : int): ...
    def __init__(self, property : str): ...
    def __init__(self): ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def VerticalAlignment (self) -> VerticalAlignment: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def AutoSelectMode (self) -> AutoSelectMode: ...
    @AutoSelectMode.setter
    def AutoSelectMode (self, value : AutoSelectMode) -> None: ...
class Clipboard(Widget):
    def __init__(self): ...
    @property
    def Instance () -> Clipboard: ...
    @property
    def Types (self) -> Set(str): ...
    @property
    def ContainsText (self) -> bool: ...
    @property
    def ContainsHtml (self) -> bool: ...
    @property
    def ContainsImage (self) -> bool: ...
    @property
    def ContainsUris (self) -> bool: ...
    def SetDataStream (self, stream : Stream, type : str) -> None: ...
    def SetData (self, value : Set(Byte), type : str) -> None: ...
    def Contains (self, type : str) -> bool: ...
    def GetData (self, type : str) -> Set(Byte): ...
    def GetDataStream (self, type : str) -> Stream: ...
    def SetString (self, value : str, type : str) -> None: ...
    def GetString (self, type : str) -> str: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Html (self) -> str: ...
    @Html.setter
    def Html (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Uris (self) -> Set(Uri): ...
    @Uris.setter
    def Uris (self, value : Set(Uri)) -> None: ...
    def Clear (self) -> None: ...
class ColorDialog(CommonDialog):
    def __init__(self): ...
    def add_ColorChanged (self, value : EventHandler) -> None: ...
    def remove_ColorChanged (self, value : EventHandler) -> None: ...
    @property
    def Color (self) -> Color: ...
    @Color.setter
    def Color (self, value : Color) -> None: ...
    @property
    def AllowAlpha (self) -> bool: ...
    @AllowAlpha.setter
    def AllowAlpha (self, value : bool) -> None: ...
    @property
    def SupportsAllowAlpha (self) -> bool: ...
class CheckCommand(Command):
    def __init__(self): ...
    def __init__(self, execute : EventHandler): ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
    def CreateMenuItem (self) -> MenuItem: ...
    def CreateToolItem (self) -> ToolItem: ...
class RadioCommand(CheckCommand):
    def __init__(self): ...
    def __init__(self, execute : EventHandler): ...
    @property
    def Controller (self) -> RadioCommand: ...
    @Controller.setter
    def Controller (self, value : RadioCommand) -> None: ...
    def CreateMenuItem (self) -> MenuItem: ...
    def CreateToolItem (self) -> ToolItem: ...
class Command:
    def __init__(self): ...
    def __init__(self, execute : EventHandler): ...
    def add_EnabledChanged (self, value : EventHandler) -> None: ...
    def remove_EnabledChanged (self, value : EventHandler) -> None: ...
    def add_Executed (self, value : EventHandler) -> None: ...
    def remove_Executed (self, value : EventHandler) -> None: ...
    @property
    def ID (self) -> str: ...
    @ID.setter
    def ID (self, value : str) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    @property
    def Tag (self) -> Object: ...
    @Tag.setter
    def Tag (self, value : Object) -> None: ...
    @property
    def MenuText (self) -> str: ...
    @MenuText.setter
    def MenuText (self, value : str) -> None: ...
    @property
    def ToolBarText (self) -> str: ...
    @ToolBarText.setter
    def ToolBarText (self, value : str) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Shortcut (self) -> Keys: ...
    @Shortcut.setter
    def Shortcut (self, value : Keys) -> None: ...
    def Execute (self) -> None: ...
    def CreateToolItem (self) -> ToolItem: ...
    def CreateMenuItem (self) -> MenuItem: ...
    def op_Implicit (command : Command) -> MenuItem: ...
    def op_Implicit (command : Command) -> ToolItem: ...
    @property
    def Properties (self) -> PropertyStore: ...
    @property
    def DelegatedCommand (self) -> ICommand: ...
    @DelegatedCommand.setter
    def DelegatedCommand (self, value : ICommand) -> None: ...
    @property
    def CommandParameter (self) -> Object: ...
    @CommandParameter.setter
    def CommandParameter (self, value : Object) -> None: ...
    def add_DataContextChanged (self, value : EventHandler) -> None: ...
    def remove_DataContextChanged (self, value : EventHandler) -> None: ...
    @property
    def Parent (self) -> IBindable: ...
    @Parent.setter
    def Parent (self, value : IBindable) -> None: ...
    @property
    def DataContext (self) -> Object: ...
    @DataContext.setter
    def DataContext (self, value : Object) -> None: ...
    @property
    def Bindings (self) -> BindingCollection: ...
class DialogResult:
    None = 0
    Ok = 1
    Cancel = 2
    Yes = 3
    No = 4
    Abort = 5
    Ignore = 6
    Retry = 7
class CommonDialog(Widget):
    def ShowDialog (self, parent : Control) -> DialogResult: ...
    def ShowDialog (self, parent : Window) -> DialogResult: ...
class Container(Control):
    @property
    def ClientSize (self) -> Size: ...
    @ClientSize.setter
    def ClientSize (self, value : Size) -> None: ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def Children (self) -> Iterable[Control]: ...
    @property
    def VisualChildren (self) -> Iterable[Control]: ...
    def Unbind (self) -> None: ...
    def UpdateBindings (self, mode : BindingUpdateMode) -> None: ...
    def Remove (self, controls : Iterable[Control]) -> None: ...
    def RemoveAll (self) -> None: ...
    def Remove (self, child : Control) -> None: ...
    def FindChild (self, id : str) -> T: ...
    def FindChild (self, type : Type, id : str) -> Control: ...
    def FindChild (self, id : str) -> Control: ...
class ButtonImagePosition:
    Left = 0
    Right = 1
    Above = 2
    Below = 3
    Overlay = 4
class Button(TextControl):
    def __init__(self): ...
    def __init__(self, click : EventHandler): ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    @property
    def Command (self) -> ICommand: ...
    @Command.setter
    def Command (self, value : ICommand) -> None: ...
    @property
    def CommandParameter (self) -> Object: ...
    @CommandParameter.setter
    def CommandParameter (self, value : Object) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def ImagePosition (self) -> ButtonImagePosition: ...
    @ImagePosition.setter
    def ImagePosition (self, value : ButtonImagePosition) -> None: ...
    @property
    def MinimumSize (self) -> Size: ...
    @MinimumSize.setter
    def MinimumSize (self, value : Size) -> None: ...
    @property
    def Size (self) -> Size: ...
    @Size.setter
    def Size (self, value : Size) -> None: ...
    def PerformClick (self) -> None: ...
class CalendarMode:
    Single = 0
    Range = 1
class Calendar(Control):
    def __init__(self): ...
    def add_SelectedDateChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedDateChanged (self, value : EventHandler) -> None: ...
    def add_SelectedRangeChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedRangeChanged (self, value : EventHandler) -> None: ...
    @property
    def MinDate (self) -> DateTime: ...
    @MinDate.setter
    def MinDate (self, value : DateTime) -> None: ...
    @property
    def MaxDate (self) -> DateTime: ...
    @MaxDate.setter
    def MaxDate (self, value : DateTime) -> None: ...
    @property
    def SelectedDate (self) -> DateTime: ...
    @SelectedDate.setter
    def SelectedDate (self, value : DateTime) -> None: ...
    @property
    def SelectedRange (self) -> Range: ...
    @SelectedRange.setter
    def SelectedRange (self, value : Range) -> None: ...
    @property
    def Mode (self) -> CalendarMode: ...
    @Mode.setter
    def Mode (self, value : CalendarMode) -> None: ...
class CheckBox(TextControl):
    def __init__(self): ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    @property
    def Checked (self) -> Nullable: ...
    @Checked.setter
    def Checked (self, value : Nullable) -> None: ...
    @property
    def ThreeState (self) -> bool: ...
    @ThreeState.setter
    def ThreeState (self, value : bool) -> None: ...
    @property
    def CheckedBinding (self) -> BindableBinding: ...
class CheckBoxList(Panel):
    def __init__(self): ...
    @property
    def ItemTextBinding (self) -> IIndirectBinding: ...
    @ItemTextBinding.setter
    def ItemTextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ItemToolTipBinding (self) -> IIndirectBinding: ...
    @ItemToolTipBinding.setter
    def ItemToolTipBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ItemKeyBinding (self) -> IIndirectBinding: ...
    @ItemKeyBinding.setter
    def ItemKeyBinding (self, value : IIndirectBinding) -> None: ...
    def add_SelectedValuesChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedValuesChanged (self, value : EventHandler) -> None: ...
    def add_SelectedKeysChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedKeysChanged (self, value : EventHandler) -> None: ...
    @property
    def SelectedKeys (self) -> Iterable[str]: ...
    @SelectedKeys.setter
    def SelectedKeys (self, value : Iterable[str]) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    @property
    def SelectedValues (self) -> Iterable[Object]: ...
    @SelectedValues.setter
    def SelectedValues (self, value : Iterable[Object]) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
    @property
    def Spacing (self) -> Size: ...
    @Spacing.setter
    def Spacing (self, value : Size) -> None: ...
    @property
    def Items (self) -> ListItemCollection: ...
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
    @property
    def SelectedValuesBinding (self) -> BindableBinding: ...
    @property
    def SelectedKeysBinding (self) -> BindableBinding: ...
class ColorPicker(Control):
    def __init__(self): ...
    def add_ValueChanged (self, value : EventHandler) -> None: ...
    def remove_ValueChanged (self, value : EventHandler) -> None: ...
    @property
    def Value (self) -> Color: ...
    @Value.setter
    def Value (self, value : Color) -> None: ...
    @property
    def AllowAlpha (self) -> bool: ...
    @AllowAlpha.setter
    def AllowAlpha (self, value : bool) -> None: ...
    @property
    def SupportsAllowAlpha (self) -> bool: ...
    @property
    def ValueBinding (self) -> BindableBinding: ...
class ComboBox(DropDown):
    def __init__(self): ...
    def add_TextChanged (self, value : EventHandler) -> None: ...
    def remove_TextChanged (self, value : EventHandler) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def AutoComplete (self) -> bool: ...
    @AutoComplete.setter
    def AutoComplete (self, value : bool) -> None: ...
class CommonControl(Control):
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
class Control(BindableWidget):
    def __init__(self, handler : IHandler): ...
    def DetachNative (self) -> None: ...
    @property
    def BackgroundColor (self) -> Color: ...
    @BackgroundColor.setter
    def BackgroundColor (self, value : Color) -> None: ...
    @property
    def HasFocus (self) -> bool: ...
    def Focus (self) -> None: ...
    @property
    def IsSuspended (self) -> bool: ...
    def SuspendLayout (self) -> None: ...
    def ResumeLayout (self) -> None: ...
    @property
    def ParentWindow (self) -> Window: ...
    @property
    def SupportedPlatformCommands (self) -> Iterable[str]: ...
    def MapPlatformCommand (self, systemCommand : str, command : Command) -> None: ...
    def PointFromScreen (self, point : PointF) -> PointF: ...
    def PointToScreen (self, point : PointF) -> PointF: ...
    def RectangleToScreen (self, rect : RectangleF) -> RectangleF: ...
    def RectangleFromScreen (self, rect : RectangleF) -> RectangleF: ...
    @property
    def Bounds (self) -> Rectangle: ...
    @property
    def Location (self) -> Point: ...
    @property
    def Cursor (self) -> Cursor: ...
    @Cursor.setter
    def Cursor (self, value : Cursor) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def TabIndex (self) -> int: ...
    @TabIndex.setter
    def TabIndex (self, value : int) -> None: ...
    @property
    def AllowDrop (self) -> bool: ...
    @AllowDrop.setter
    def AllowDrop (self, value : bool) -> None: ...
    def DoDragDrop (self, data : DataObject, allowedEffects : DragEffects) -> None: ...
    def op_Implicit (labelText : str) -> Control: ...
    def op_Implicit (image : Image) -> Control: ...
    @property
    def Loaded (self) -> bool: ...
    @property
    def VisualControls (self) -> Iterable[Control]: ...
    @property
    def Tag (self) -> Object: ...
    @Tag.setter
    def Tag (self, value : Object) -> None: ...
    @property
    def LogicalParent (self) -> Container: ...
    @property
    def IsVisualControl (self) -> bool: ...
    def add_SizeChanged (self, value : EventHandler) -> None: ...
    def remove_SizeChanged (self, value : EventHandler) -> None: ...
    def add_KeyDown (self, value : EventHandler) -> None: ...
    def remove_KeyDown (self, value : EventHandler) -> None: ...
    def add_KeyUp (self, value : EventHandler) -> None: ...
    def remove_KeyUp (self, value : EventHandler) -> None: ...
    def add_TextInput (self, value : EventHandler) -> None: ...
    def remove_TextInput (self, value : EventHandler) -> None: ...
    def add_MouseDown (self, value : EventHandler) -> None: ...
    def remove_MouseDown (self, value : EventHandler) -> None: ...
    def add_MouseUp (self, value : EventHandler) -> None: ...
    def remove_MouseUp (self, value : EventHandler) -> None: ...
    def add_MouseMove (self, value : EventHandler) -> None: ...
    def remove_MouseMove (self, value : EventHandler) -> None: ...
    def add_MouseLeave (self, value : EventHandler) -> None: ...
    def remove_MouseLeave (self, value : EventHandler) -> None: ...
    def add_MouseEnter (self, value : EventHandler) -> None: ...
    def remove_MouseEnter (self, value : EventHandler) -> None: ...
    def add_MouseDoubleClick (self, value : EventHandler) -> None: ...
    def remove_MouseDoubleClick (self, value : EventHandler) -> None: ...
    def add_MouseWheel (self, value : EventHandler) -> None: ...
    def remove_MouseWheel (self, value : EventHandler) -> None: ...
    def add_GotFocus (self, value : EventHandler) -> None: ...
    def remove_GotFocus (self, value : EventHandler) -> None: ...
    def add_LostFocus (self, value : EventHandler) -> None: ...
    def remove_LostFocus (self, value : EventHandler) -> None: ...
    def add_Shown (self, value : EventHandler) -> None: ...
    def remove_Shown (self, value : EventHandler) -> None: ...
    def add_PreLoad (self, value : EventHandler) -> None: ...
    def remove_PreLoad (self, value : EventHandler) -> None: ...
    def add_Load (self, value : EventHandler) -> None: ...
    def remove_Load (self, value : EventHandler) -> None: ...
    def add_LoadComplete (self, value : EventHandler) -> None: ...
    def remove_LoadComplete (self, value : EventHandler) -> None: ...
    def add_UnLoad (self, value : EventHandler) -> None: ...
    def remove_UnLoad (self, value : EventHandler) -> None: ...
    def add_DragDrop (self, value : EventHandler) -> None: ...
    def remove_DragDrop (self, value : EventHandler) -> None: ...
    def add_DragOver (self, value : EventHandler) -> None: ...
    def remove_DragOver (self, value : EventHandler) -> None: ...
    def add_DragEnter (self, value : EventHandler) -> None: ...
    def remove_DragEnter (self, value : EventHandler) -> None: ...
    def add_DragLeave (self, value : EventHandler) -> None: ...
    def remove_DragLeave (self, value : EventHandler) -> None: ...
    def add_EnabledChanged (self, value : EventHandler) -> None: ...
    def remove_EnabledChanged (self, value : EventHandler) -> None: ...
    def Invalidate (self) -> None: ...
    def Invalidate (self, invalidateChildren : bool) -> None: ...
    def Invalidate (self, rect : Rectangle) -> None: ...
    def Invalidate (self, rect : Rectangle, invalidateChildren : bool) -> None: ...
    @property
    def Size (self) -> Size: ...
    @Size.setter
    def Size (self, value : Size) -> None: ...
    @property
    def Width (self) -> int: ...
    @Width.setter
    def Width (self, value : int) -> None: ...
    @property
    def Height (self) -> int: ...
    @Height.setter
    def Height (self, value : int) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
    @property
    def Parent (self) -> Container: ...
    @property
    def VisualParent (self) -> Container: ...
    def FindParent (self, type : Type, id : str) -> Container: ...
    def FindParent (self, id : str) -> Container: ...
    def Detach (self) -> None: ...
    def AttachNative (self) -> None: ...
class DateTimePickerMode:
    Date = 1
    Time = 2
    DateTime = 3
class DateTimePicker(CommonControl):
    def __init__(self): ...
    def add_ValueChanged (self, value : EventHandler) -> None: ...
    def remove_ValueChanged (self, value : EventHandler) -> None: ...
    @property
    def MinDate (self) -> DateTime: ...
    @MinDate.setter
    def MinDate (self, value : DateTime) -> None: ...
    @property
    def MaxDate (self) -> DateTime: ...
    @MaxDate.setter
    def MaxDate (self, value : DateTime) -> None: ...
    @property
    def Value (self) -> Nullable: ...
    @Value.setter
    def Value (self, value : Nullable) -> None: ...
    @property
    def ValueBinding (self) -> BindableBinding: ...
    @property
    def Mode (self) -> DateTimePickerMode: ...
    @Mode.setter
    def Mode (self, value : DateTimePickerMode) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def ShowBorder (self) -> bool: ...
    @ShowBorder.setter
    def ShowBorder (self, value : bool) -> None: ...
class DocumentPageEventArgs:
    def __init__(self, page : DocumentPage): ...
    @property
    def Page (self) -> DocumentPage: ...
class DocumentPageReorderEventArgs(DocumentPageEventArgs):
    def __init__(self, page : DocumentPage, oldIndex : int, newIndex : int): ...
    @property
    def OldIndex (self) -> int: ...
    @property
    def NewIndex (self) -> int: ...
class DocumentControl(Container):
    def __init__(self): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    def add_PageClosed (self, value : EventHandler) -> None: ...
    def remove_PageClosed (self, value : EventHandler) -> None: ...
    def add_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def add_PageReordered (self, value : EventHandler) -> None: ...
    def remove_PageReordered (self, value : EventHandler) -> None: ...
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    @property
    def SelectedPage (self) -> DocumentPage: ...
    @SelectedPage.setter
    def SelectedPage (self, value : DocumentPage) -> None: ...
    @property
    def Pages (self) -> List[DocumentPage]: ...
    @property
    def AllowReordering (self) -> bool: ...
    @AllowReordering.setter
    def AllowReordering (self, value : bool) -> None: ...
    def Remove (self, child : Control) -> None: ...
    @property
    def SelectedIndexBinding (self) -> BindableBinding: ...
class DocumentPage(Panel):
    def __init__(self, control : Control, padding : Nullable): ...
    def __init__(self): ...
    def add_Closed (self, value : EventHandler) -> None: ...
    def remove_Closed (self, value : EventHandler) -> None: ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    @property
    def Closable (self) -> bool: ...
    @Closable.setter
    def Closable (self, value : bool) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
class DragEffects:
    None = 0
    Copy = 1
    Move = 2
    Link = 4
    All = 7
class DragEventArgs:
    def __init__(self, source : Control, data : DataObject, allowedEffects : DragEffects, location : PointF, modifiers : Keys, buttons : MouseButtons, controlObject : Object): ...
    @property
    def Source (self) -> Control: ...
    @property
    def Data (self) -> DataObject: ...
    @property
    def AllowedEffects (self) -> DragEffects: ...
    @property
    def Effects (self) -> DragEffects: ...
    @Effects.setter
    def Effects (self, value : DragEffects) -> None: ...
    @property
    def Location (self) -> PointF: ...
    @property
    def Modifiers (self) -> Keys: ...
    @property
    def Buttons (self) -> MouseButtons: ...
    @property
    def ControlObject (self) -> Object: ...
class PaintEventArgs:
    def __init__(self, graphics : Graphics, clipRectangle : RectangleF): ...
    @property
    def Graphics (self) -> Graphics: ...
    @property
    def ClipRectangle (self) -> RectangleF: ...
class Drawable(Panel):
    def __init__(self): ...
    def __init__(self, largeCanvas : bool): ...
    def add_Paint (self, value : EventHandler) -> None: ...
    def remove_Paint (self, value : EventHandler) -> None: ...
    @property
    def SupportsCreateGraphics (self) -> bool: ...
    def CreateGraphics (self) -> Graphics: ...
    @property
    def CanFocus (self) -> bool: ...
    @CanFocus.setter
    def CanFocus (self, value : bool) -> None: ...
    def Update (self, region : Rectangle) -> None: ...
class DropDown(ListControl):
    def __init__(self): ...
    @property
    def ItemImageBinding (self) -> IIndirectBinding: ...
    @ItemImageBinding.setter
    def ItemImageBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ShowBorder (self) -> bool: ...
    @ShowBorder.setter
    def ShowBorder (self, value : bool) -> None: ...
    def add_DropDownOpening (self, value : EventHandler) -> None: ...
    def remove_DropDownOpening (self, value : EventHandler) -> None: ...
    def add_DropDownClosed (self, value : EventHandler) -> None: ...
    def remove_DropDownClosed (self, value : EventHandler) -> None: ...
class Expander(Panel):
    def __init__(self): ...
    def add_ExpandedChanged (self, value : EventHandler) -> None: ...
    def remove_ExpandedChanged (self, value : EventHandler) -> None: ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def Expanded (self) -> bool: ...
    @Expanded.setter
    def Expanded (self, value : bool) -> None: ...
    @property
    def Header (self) -> Control: ...
    @Header.setter
    def Header (self, value : Control) -> None: ...
class FilePicker(Control):
    def __init__(self): ...
    @property
    def CurrentFilterIndex (self) -> int: ...
    @CurrentFilterIndex.setter
    def CurrentFilterIndex (self, value : int) -> None: ...
    @property
    def CurrentFilter (self) -> FileFilter: ...
    @CurrentFilter.setter
    def CurrentFilter (self, value : FileFilter) -> None: ...
    @property
    def Filters (self) -> Collection: ...
    @property
    def FileAction (self) -> FileAction: ...
    @FileAction.setter
    def FileAction (self, value : FileAction) -> None: ...
    @property
    def FilePath (self) -> str: ...
    @FilePath.setter
    def FilePath (self, value : str) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    def add_FilePathChanged (self, value : EventHandler) -> None: ...
    def remove_FilePathChanged (self, value : EventHandler) -> None: ...
class FontPicker(Control):
    def __init__(self): ...
    def __init__(self, font : Font): ...
    @property
    def Value (self) -> Font: ...
    @Value.setter
    def Value (self, value : Font) -> None: ...
    def add_ValueChanged (self, value : EventHandler) -> None: ...
    def remove_ValueChanged (self, value : EventHandler) -> None: ...
    @property
    def ValueBinding (self) -> BindableBinding: ...
class GridColumnEventArgs:
    def __init__(self, column : GridColumn): ...
    @property
    def Column (self) -> GridColumn: ...
class GridCellMouseEventArgs(MouseEventArgs):
    def __init__(self, gridColumn : GridColumn, row : int, column : int, item : Object, buttons : MouseButtons, modifiers : Keys, location : PointF, delta : Nullable, pressure : Single): ...
    @property
    def GridColumn (self) -> GridColumn: ...
    @property
    def Row (self) -> int: ...
    @property
    def Column (self) -> int: ...
    @property
    def Item (self) -> Object: ...
class GridLines:
    None = 0
    Horizontal = 1
    Vertical = 2
    Both = 3
class GridCellFormatEventArgs:
    @property
    def Column (self) -> GridColumn: ...
    @property
    def Item (self) -> Object: ...
    @property
    def Row (self) -> int: ...
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
    @property
    def BackgroundColor (self) -> Color: ...
    @BackgroundColor.setter
    def BackgroundColor (self, value : Color) -> None: ...
    @property
    def ForegroundColor (self) -> Color: ...
    @ForegroundColor.setter
    def ForegroundColor (self, value : Color) -> None: ...
class Grid(Control):
    @property
    def Columns (self) -> GridColumnCollection: ...
    def add_CellEditing (self, value : EventHandler) -> None: ...
    def remove_CellEditing (self, value : EventHandler) -> None: ...
    def add_CellEdited (self, value : EventHandler) -> None: ...
    def remove_CellEdited (self, value : EventHandler) -> None: ...
    def add_CellClick (self, value : EventHandler) -> None: ...
    def remove_CellClick (self, value : EventHandler) -> None: ...
    def add_CellDoubleClick (self, value : EventHandler) -> None: ...
    def remove_CellDoubleClick (self, value : EventHandler) -> None: ...
    def add_SelectionChanged (self, value : EventHandler) -> None: ...
    def remove_SelectionChanged (self, value : EventHandler) -> None: ...
    def add_ColumnHeaderClick (self, value : EventHandler) -> None: ...
    def remove_ColumnHeaderClick (self, value : EventHandler) -> None: ...
    def add_CellFormatting (self, value : EventHandler) -> None: ...
    def remove_CellFormatting (self, value : EventHandler) -> None: ...
    def add_SelectedItemsChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedItemsChanged (self, value : EventHandler) -> None: ...
    def add_SelectedRowsChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedRowsChanged (self, value : EventHandler) -> None: ...
    @property
    def ShowHeader (self) -> bool: ...
    @ShowHeader.setter
    def ShowHeader (self, value : bool) -> None: ...
    @property
    def AllowColumnReordering (self) -> bool: ...
    @AllowColumnReordering.setter
    def AllowColumnReordering (self, value : bool) -> None: ...
    @property
    def AllowMultipleSelection (self) -> bool: ...
    @AllowMultipleSelection.setter
    def AllowMultipleSelection (self, value : bool) -> None: ...
    @property
    def SelectedItems (self) -> Iterable[Object]: ...
    @property
    def SelectedItem (self) -> Object: ...
    @property
    def SelectedItemBinding (self) -> BindableBinding: ...
    @property
    def SelectedRows (self) -> Iterable[int]: ...
    @SelectedRows.setter
    def SelectedRows (self, value : Iterable[int]) -> None: ...
    @property
    def SelectedRow (self) -> int: ...
    @SelectedRow.setter
    def SelectedRow (self, value : int) -> None: ...
    @property
    def RowHeight (self) -> int: ...
    @RowHeight.setter
    def RowHeight (self, value : int) -> None: ...
    @property
    def GridLines (self) -> GridLines: ...
    @GridLines.setter
    def GridLines (self, value : GridLines) -> None: ...
    @property
    def Border (self) -> BorderType: ...
    @Border.setter
    def Border (self, value : BorderType) -> None: ...
    def SelectRow (self, row : int) -> None: ...
    def SelectAll (self) -> None: ...
    def UnselectRow (self, row : int) -> None: ...
    def UnselectAll (self) -> None: ...
    def BeginEdit (self, row : int, column : int) -> None: ...
    def CommitEdit (self) -> bool: ...
    def CancelEdit (self) -> bool: ...
    @property
    def IsEditing (self) -> bool: ...
    def ScrollToRow (self, row : int) -> None: ...
class GridColumnCollection:
    def __init__(self): ...
class GridColumn(Widget):
    def __init__(self): ...
    @property
    def HeaderText (self) -> str: ...
    @HeaderText.setter
    def HeaderText (self, value : str) -> None: ...
    @property
    def Resizable (self) -> bool: ...
    @Resizable.setter
    def Resizable (self, value : bool) -> None: ...
    @property
    def AutoSize (self) -> bool: ...
    @AutoSize.setter
    def AutoSize (self, value : bool) -> None: ...
    @property
    def Sortable (self) -> bool: ...
    @Sortable.setter
    def Sortable (self, value : bool) -> None: ...
    @property
    def Width (self) -> int: ...
    @Width.setter
    def Width (self, value : int) -> None: ...
    @property
    def DataCell (self) -> Cell: ...
    @DataCell.setter
    def DataCell (self, value : Cell) -> None: ...
    @property
    def Editable (self) -> bool: ...
    @Editable.setter
    def Editable (self, value : bool) -> None: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
class GridItem:
    def __init__(self): ...
    def __init__(self, values : Set(Object)): ...
    @property
    def Tag (self) -> Object: ...
    @Tag.setter
    def Tag (self, value : Object) -> None: ...
    @property
    def Values (self) -> Set(Object): ...
    @Values.setter
    def Values (self, value : Set(Object)) -> None: ...
    def GetValue (self, column : int) -> Object: ...
    def SetValue (self, column : int, value : Object) -> None: ...
class GridViewCellEventArgs:
    def __init__(self, gridColumn : GridColumn, row : int, column : int, item : Object): ...
    @property
    def GridColumn (self) -> GridColumn: ...
    @property
    def Row (self) -> int: ...
    @property
    def Column (self) -> int: ...
    @property
    def Item (self) -> Object: ...
class GridCell:
    @property
    def Item (self) -> Object: ...
    @property
    def RowIndex (self) -> int: ...
    @property
    def Column (self) -> GridColumn: ...
    @property
    def ColumnIndex (self) -> int: ...
class GridViewDragInfo:
    def __init__(self, control : GridView, item : Object, index : int, position : GridDragPosition): ...
    @property
    def Item (self) -> Object: ...
    @property
    def Index (self) -> int: ...
    @Index.setter
    def Index (self, value : int) -> None: ...
    @property
    def Position (self) -> GridDragPosition: ...
    @Position.setter
    def Position (self, value : GridDragPosition) -> None: ...
    @property
    def Control (self) -> GridView: ...
    @property
    def IsChanged (self) -> bool: ...
    def RestrictToOver (self) -> None: ...
    def RestrictToInsert (self) -> None: ...
    @property
    def InsertIndex (self) -> int: ...
class GridView(Grid):
    def __init__(self): ...
    @property
    def DeleteItemHandler (self) -> Func: ...
    @DeleteItemHandler.setter
    def DeleteItemHandler (self, value : Func) -> None: ...
    @property
    def CanDeleteItem (self) -> Func: ...
    @CanDeleteItem.setter
    def CanDeleteItem (self, value : Func) -> None: ...
    @property
    def DeleteConfirmationTitle (self) -> Func: ...
    @DeleteConfirmationTitle.setter
    def DeleteConfirmationTitle (self, value : Func) -> None: ...
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
    @property
    def ShowCellBorders (self) -> bool: ...
    @ShowCellBorders.setter
    def ShowCellBorders (self, value : bool) -> None: ...
    def GetDragInfo (self, args : DragEventArgs) -> GridViewDragInfo: ...
    def GetCellAt (self, location : PointF) -> GridCell: ...
    @property
    def SelectionPreserver (self) -> ISelectionPreserver: ...
    @property
    def SelectedItems (self) -> Iterable[Object]: ...
    @property
    def ContextMenu (self) -> ContextMenu: ...
    @ContextMenu.setter
    def ContextMenu (self, value : ContextMenu) -> None: ...
    def ReloadData (self, row : int) -> None: ...
    def ReloadData (self, rows : Iterable[int]) -> None: ...
    def ReloadData (self, range : Range) -> None: ...
class GroupBox(Panel):
    def __init__(self): ...
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
class ImageView(Control):
    def __init__(self): ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class KeyEventType:
    KeyDown = 0
    KeyUp = 1
class KeyEventArgs:
    def __init__(self, keyData : Keys, keyEventType : KeyEventType, keyChar : Nullable): ...
    @property
    def KeyEventType (self) -> KeyEventType: ...
    @property
    def KeyData (self) -> Keys: ...
    @property
    def Key (self) -> Keys: ...
    @property
    def Modifiers (self) -> Keys: ...
    @property
    def IsChar (self) -> bool: ...
    @property
    def Handled (self) -> bool: ...
    @Handled.setter
    def Handled (self, value : bool) -> None: ...
    @property
    def KeyChar (self) -> Char: ...
    @property
    def Shift (self) -> bool: ...
    @property
    def Control (self) -> bool: ...
    @property
    def Alt (self) -> bool: ...
    @property
    def Application (self) -> bool: ...
    def IsKeyUp (self, key : Keys, modifier : Nullable) -> bool: ...
    def IsKeyDown (self, key : Keys, modifier : Nullable) -> bool: ...
class TextAlignment:
    Left = 0
    Center = 1
    Right = 2
class WrapMode:
    None = 0
    Word = 1
    Character = 2
class Label(TextControl):
    def __init__(self): ...
    @property
    def Wrap (self) -> WrapMode: ...
    @Wrap.setter
    def Wrap (self, value : WrapMode) -> None: ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def HorizontalAlign (self) -> HorizontalAlign: ...
    @HorizontalAlign.setter
    def HorizontalAlign (self, value : HorizontalAlign) -> None: ...
    @property
    def VerticalAlignment (self) -> VerticalAlignment: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def VerticalAlign (self) -> VerticalAlign: ...
    @VerticalAlign.setter
    def VerticalAlign (self, value : VerticalAlign) -> None: ...
class HorizontalAlign:
    @property
    def Center () -> HorizontalAlign: ...
    @property
    def Left () -> HorizontalAlign: ...
    @property
    def Right () -> HorizontalAlign: ...
    def op_Implicit (value : HorizontalAlign) -> TextAlignment: ...
    def op_Implicit (value : TextAlignment) -> HorizontalAlign: ...
    def op_Equality (value1 : TextAlignment, value2 : HorizontalAlign) -> bool: ...
    def op_Inequality (value1 : TextAlignment, value2 : HorizontalAlign) -> bool: ...
    def op_Implicit (value : str) -> HorizontalAlign: ...
    def Equals (self, obj : Object) -> bool: ...
    def GetHashCode (self) -> int: ...
class VerticalAlign:
    @property
    def Middle () -> VerticalAlign: ...
    @property
    def Top () -> VerticalAlign: ...
    @property
    def Bottom () -> VerticalAlign: ...
    def op_Implicit (value : VerticalAlign) -> VerticalAlignment: ...
    def op_Implicit (value : VerticalAlignment) -> VerticalAlign: ...
    def op_Equality (value1 : VerticalAlignment, value2 : VerticalAlign) -> bool: ...
    def op_Inequality (value1 : VerticalAlignment, value2 : VerticalAlign) -> bool: ...
    def op_Implicit (value : str) -> VerticalAlign: ...
    def Equals (self, obj : Object) -> bool: ...
    def GetHashCode (self) -> int: ...
class LinkButton(TextControl):
    def __init__(self): ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    @property
    def Command (self) -> ICommand: ...
    @Command.setter
    def Command (self, value : ICommand) -> None: ...
    @property
    def CommandParameter (self) -> Object: ...
    @CommandParameter.setter
    def CommandParameter (self, value : Object) -> None: ...
    @property
    def DisabledTextColor (self) -> Color: ...
    @DisabledTextColor.setter
    def DisabledTextColor (self, value : Color) -> None: ...
class IImageListItem:
    @property
    def Image (self) -> Image: ...
class ListBox(ListControl):
    def __init__(self): ...
    @property
    def ItemImageBinding (self) -> IIndirectBinding: ...
    @ItemImageBinding.setter
    def ItemImageBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ImageBinding (self) -> IIndirectBinding: ...
    @ImageBinding.setter
    def ImageBinding (self, value : IIndirectBinding) -> None: ...
    def add_Activated (self, value : EventHandler) -> None: ...
    def remove_Activated (self, value : EventHandler) -> None: ...
    @property
    def ContextMenu (self) -> ContextMenu: ...
    @ContextMenu.setter
    def ContextMenu (self, value : ContextMenu) -> None: ...
class ListItemCollection:
    def __init__(self): ...
    def __init__(self, collection : Iterable[IListItem]): ...
    def Add (self, text : str) -> None: ...
    def Add (self, text : str, key : str) -> None: ...
class ListControl(CommonControl):
    @property
    def ItemTextBinding (self) -> IIndirectBinding: ...
    @ItemTextBinding.setter
    def ItemTextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ItemKeyBinding (self) -> IIndirectBinding: ...
    @ItemKeyBinding.setter
    def ItemKeyBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def TextBinding (self) -> IIndirectBinding: ...
    @TextBinding.setter
    def TextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def KeyBinding (self) -> IIndirectBinding: ...
    @KeyBinding.setter
    def KeyBinding (self, value : IIndirectBinding) -> None: ...
    def add_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def add_SelectedValueChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedValueChanged (self, value : EventHandler) -> None: ...
    def add_SelectedKeyChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedKeyChanged (self, value : EventHandler) -> None: ...
    @property
    def Items (self) -> ListItemCollection: ...
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    @property
    def SelectedValue (self) -> Object: ...
    @SelectedValue.setter
    def SelectedValue (self, value : Object) -> None: ...
    @property
    def SelectedKey (self) -> str: ...
    @SelectedKey.setter
    def SelectedKey (self, value : str) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def SelectedIndexBinding (self) -> BindableBinding: ...
    @property
    def SelectedKeyBinding (self) -> BindableBinding: ...
    @property
    def SelectedValueBinding (self) -> BindableBinding: ...
class InsertKeyMode:
    Insert = 0
    Overwrite = 1
    Toggle = 2
class MaskedTextBox(TextBox):
    def __init__(self): ...
    def __init__(self, provider : IMaskedTextProvider): ...
    @property
    def Provider (self) -> IMaskedTextProvider: ...
    @Provider.setter
    def Provider (self, value : IMaskedTextProvider) -> None: ...
    @property
    def InsertMode (self) -> InsertKeyMode: ...
    @InsertMode.setter
    def InsertMode (self, value : InsertKeyMode) -> None: ...
    @property
    def IsOverwrite (self) -> bool: ...
    @property
    def ShowPromptOnFocus (self) -> bool: ...
    @ShowPromptOnFocus.setter
    def ShowPromptOnFocus (self, value : bool) -> None: ...
    @property
    def ShowPlaceholderWhenEmpty (self) -> bool: ...
    @ShowPlaceholderWhenEmpty.setter
    def ShowPlaceholderWhenEmpty (self, value : bool) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def MaskCompleted (self) -> bool: ...
class MaskedTextStepper(TextStepper):
    def __init__(self): ...
    def __init__(self, provider : IMaskedTextProvider): ...
    @property
    def Provider (self) -> IMaskedTextProvider: ...
    @Provider.setter
    def Provider (self, value : IMaskedTextProvider) -> None: ...
    @property
    def InsertMode (self) -> InsertKeyMode: ...
    @InsertMode.setter
    def InsertMode (self, value : InsertKeyMode) -> None: ...
    @property
    def IsOverwrite (self) -> bool: ...
    @property
    def ShowPromptOnFocus (self) -> bool: ...
    @ShowPromptOnFocus.setter
    def ShowPromptOnFocus (self, value : bool) -> None: ...
    @property
    def ShowPlaceholderWhenEmpty (self) -> bool: ...
    @ShowPlaceholderWhenEmpty.setter
    def ShowPlaceholderWhenEmpty (self, value : bool) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def MaskCompleted (self) -> bool: ...
class MouseButtons:
    None = 0
    Primary = 1
    Alternate = 2
    Middle = 4
class MouseEventArgs:
    def __init__(self, buttons : MouseButtons, modifiers : Keys, location : PointF, delta : Nullable, pressure : Single): ...
    @property
    def Modifiers (self) -> Keys: ...
    @property
    def Buttons (self) -> MouseButtons: ...
    @property
    def Location (self) -> PointF: ...
    @property
    def Handled (self) -> bool: ...
    @Handled.setter
    def Handled (self, value : bool) -> None: ...
    @property
    def Pressure (self) -> Single: ...
    @property
    def Delta (self) -> SizeF: ...
class NavigationItemEventArgs:
    def __init__(self, item : INavigationItem): ...
    @property
    def Item (self) -> INavigationItem: ...
class Navigation(Container):
    def __init__(self): ...
    def __init__(self, content : Control, title : str): ...
    def __init__(self, item : INavigationItem): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def IsSupported () -> bool: ...
    def add_ItemShown (self, value : EventHandler) -> None: ...
    def remove_ItemShown (self, value : EventHandler) -> None: ...
    def add_ItemRemoved (self, value : EventHandler) -> None: ...
    def remove_ItemRemoved (self, value : EventHandler) -> None: ...
    def Push (self, content : Control, title : str) -> None: ...
    def Push (self, item : INavigationItem) -> None: ...
    def Pop (self) -> None: ...
    def Remove (self, child : Control) -> None: ...
class INavigationItem:
    @property
    def Content (self) -> Control: ...
class NavigationItem(ListItem):
    def __init__(self): ...
    @property
    def Content (self) -> Control: ...
    @Content.setter
    def Content (self, value : Control) -> None: ...
class NumericUpDown(NumericStepper):
    def __init__(self): ...
class NumericStepper(CommonControl):
    def __init__(self): ...
    def add_ValueChanged (self, value : EventHandler) -> None: ...
    def remove_ValueChanged (self, value : EventHandler) -> None: ...
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def Value (self) -> float: ...
    @Value.setter
    def Value (self, value : float) -> None: ...
    @property
    def MinValue (self) -> float: ...
    @MinValue.setter
    def MinValue (self, value : float) -> None: ...
    @property
    def MaxValue (self) -> float: ...
    @MaxValue.setter
    def MaxValue (self, value : float) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def DecimalPlaces (self) -> int: ...
    @DecimalPlaces.setter
    def DecimalPlaces (self, value : int) -> None: ...
    @property
    def Increment (self) -> float: ...
    @Increment.setter
    def Increment (self, value : float) -> None: ...
    @property
    def MaximumDecimalPlaces (self) -> int: ...
    @MaximumDecimalPlaces.setter
    def MaximumDecimalPlaces (self, value : int) -> None: ...
    @property
    def FormatString (self) -> str: ...
    @FormatString.setter
    def FormatString (self, value : str) -> None: ...
    @property
    def CultureInfo (self) -> CultureInfo: ...
    @CultureInfo.setter
    def CultureInfo (self, value : CultureInfo) -> None: ...
    @property
    def ValueBinding (self) -> BindableBinding: ...
class Panel(Container):
    def __init__(self): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def Padding (self) -> Padding: ...
    @Padding.setter
    def Padding (self, value : Padding) -> None: ...
    @property
    def MinimumSize (self) -> Size: ...
    @MinimumSize.setter
    def MinimumSize (self, value : Size) -> None: ...
    @property
    def ContextMenu (self) -> ContextMenu: ...
    @ContextMenu.setter
    def ContextMenu (self, value : ContextMenu) -> None: ...
    @property
    def Content (self) -> Control: ...
    @Content.setter
    def Content (self, value : Control) -> None: ...
    def Remove (self, child : Control) -> None: ...
class PasswordBox(TextControl):
    def __init__(self): ...
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def MaxLength (self) -> int: ...
    @MaxLength.setter
    def MaxLength (self, value : int) -> None: ...
    @property
    def PasswordChar (self) -> Char: ...
    @PasswordChar.setter
    def PasswordChar (self, value : Char) -> None: ...
class ProgressBar(Control):
    def __init__(self): ...
    @property
    def MaxValue (self) -> int: ...
    @MaxValue.setter
    def MaxValue (self, value : int) -> None: ...
    @property
    def MinValue (self) -> int: ...
    @MinValue.setter
    def MinValue (self, value : int) -> None: ...
    @property
    def Value (self) -> int: ...
    @Value.setter
    def Value (self, value : int) -> None: ...
    @property
    def Indeterminate (self) -> bool: ...
    @Indeterminate.setter
    def Indeterminate (self, value : bool) -> None: ...
class RadioButton(TextControl):
    def __init__(self): ...
    def __init__(self, controller : RadioButton): ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    @property
    def Command (self) -> ICommand: ...
    @Command.setter
    def Command (self, value : ICommand) -> None: ...
    @property
    def CommandParameter (self) -> Object: ...
    @CommandParameter.setter
    def CommandParameter (self, value : Object) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class RadioButtonList(Panel):
    def __init__(self): ...
    @property
    def ItemTextBinding (self) -> IIndirectBinding: ...
    @ItemTextBinding.setter
    def ItemTextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ItemKeyBinding (self) -> IIndirectBinding: ...
    @ItemKeyBinding.setter
    def ItemKeyBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ItemToolTipBinding (self) -> IIndirectBinding: ...
    @ItemToolTipBinding.setter
    def ItemToolTipBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def TextBinding (self) -> IIndirectBinding: ...
    @TextBinding.setter
    def TextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def KeyBinding (self) -> IIndirectBinding: ...
    @KeyBinding.setter
    def KeyBinding (self, value : IIndirectBinding) -> None: ...
    def add_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def add_SelectedValueChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedValueChanged (self, value : EventHandler) -> None: ...
    def add_SelectedKeyChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedKeyChanged (self, value : EventHandler) -> None: ...
    @property
    def SelectedKey (self) -> str: ...
    @SelectedKey.setter
    def SelectedKey (self, value : str) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    @property
    def SelectedValue (self) -> Object: ...
    @SelectedValue.setter
    def SelectedValue (self, value : Object) -> None: ...
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
    @property
    def Spacing (self) -> Size: ...
    @Spacing.setter
    def Spacing (self, value : Size) -> None: ...
    @property
    def Items (self) -> ListItemCollection: ...
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
    @property
    def SelectedValueBinding (self) -> BindableBinding: ...
    @property
    def SelectedIndexBinding (self) -> BindableBinding: ...
    @property
    def SelectedKeyBinding (self) -> BindableBinding: ...
class RadioButtonListOrientation:
    @property
    def Horizontal () -> RadioButtonListOrientation: ...
    @property
    def Vertical () -> RadioButtonListOrientation: ...
    def op_Implicit (orientation : RadioButtonListOrientation) -> Orientation: ...
    def op_Implicit (orientation : Orientation) -> RadioButtonListOrientation: ...
    def op_Equality (orientation1 : Orientation, orientation2 : RadioButtonListOrientation) -> bool: ...
    def op_Inequality (orientation1 : Orientation, orientation2 : RadioButtonListOrientation) -> bool: ...
    def Equals (self, obj : Object) -> bool: ...
    def GetHashCode (self) -> int: ...
class RichTextAreaFormat:
    Rtf = 0
    PlainText = 1
class TextBufferExtensions:
    def GetRtf (buffer : ITextBuffer) -> str: ...
    def SetRtf (buffer : ITextBuffer, rtf : str) -> None: ...
class ITextBuffer:
    def SetBold (self, range : Range, bold : bool) -> None: ...
    def SetItalic (self, range : Range, italic : bool) -> None: ...
    def SetUnderline (self, range : Range, underline : bool) -> None: ...
    def SetStrikethrough (self, range : Range, strikethrough : bool) -> None: ...
    def SetFont (self, range : Range, font : Font) -> None: ...
    def SetForeground (self, range : Range, color : Color) -> None: ...
    def SetBackground (self, range : Range, color : Color) -> None: ...
    def SetFamily (self, range : Range, family : FontFamily) -> None: ...
    @property
    def SupportedFormats (self) -> Iterable[RichTextAreaFormat]: ...
    def Load (self, stream : Stream, format : RichTextAreaFormat) -> None: ...
    def Save (self, stream : Stream, format : RichTextAreaFormat) -> None: ...
    def Clear (self) -> None: ...
    def Delete (self, range : Range) -> None: ...
    def Insert (self, position : int, text : str) -> None: ...
class RichTextArea(TextArea):
    def __init__(self): ...
    @property
    def SelectionFont (self) -> Font: ...
    @SelectionFont.setter
    def SelectionFont (self, value : Font) -> None: ...
    @property
    def SelectionForeground (self) -> Color: ...
    @SelectionForeground.setter
    def SelectionForeground (self, value : Color) -> None: ...
    @property
    def SelectionBackground (self) -> Color: ...
    @SelectionBackground.setter
    def SelectionBackground (self, value : Color) -> None: ...
    @property
    def SelectionBold (self) -> bool: ...
    @SelectionBold.setter
    def SelectionBold (self, value : bool) -> None: ...
    @property
    def SelectionItalic (self) -> bool: ...
    @SelectionItalic.setter
    def SelectionItalic (self, value : bool) -> None: ...
    @property
    def SelectionUnderline (self) -> bool: ...
    @SelectionUnderline.setter
    def SelectionUnderline (self, value : bool) -> None: ...
    @property
    def SelectionStrikethrough (self) -> bool: ...
    @SelectionStrikethrough.setter
    def SelectionStrikethrough (self, value : bool) -> None: ...
    @property
    def SelectionFamily (self) -> FontFamily: ...
    @SelectionFamily.setter
    def SelectionFamily (self, value : FontFamily) -> None: ...
    @property
    def SelectionTypeface (self) -> FontTypeface: ...
    @SelectionTypeface.setter
    def SelectionTypeface (self, value : FontTypeface) -> None: ...
    @property
    def Buffer (self) -> ITextBuffer: ...
    @property
    def Rtf (self) -> str: ...
    @Rtf.setter
    def Rtf (self, value : str) -> None: ...
class ScrollEventArgs:
    def __init__(self, scrollPosition : Point): ...
    @property
    def ScrollPosition (self) -> Point: ...
class BorderType:
    Bezel = 0
    Line = 1
    None = 2
class Scrollable(Panel):
    def __init__(self): ...
    def add_Scroll (self, value : EventHandler) -> None: ...
    def remove_Scroll (self, value : EventHandler) -> None: ...
    def UpdateScrollSizes (self) -> None: ...
    @property
    def ScrollPosition (self) -> Point: ...
    @ScrollPosition.setter
    def ScrollPosition (self, value : Point) -> None: ...
    @property
    def ScrollSize (self) -> Size: ...
    @ScrollSize.setter
    def ScrollSize (self, value : Size) -> None: ...
    @property
    def Border (self) -> BorderType: ...
    @Border.setter
    def Border (self, value : BorderType) -> None: ...
    @property
    def VisibleRect (self) -> Rectangle: ...
    @property
    def ExpandContentWidth (self) -> bool: ...
    @ExpandContentWidth.setter
    def ExpandContentWidth (self, value : bool) -> None: ...
    @property
    def ExpandContentHeight (self) -> bool: ...
    @ExpandContentHeight.setter
    def ExpandContentHeight (self, value : bool) -> None: ...
    @property
    def MinimumZoom (self) -> Single: ...
    @MinimumZoom.setter
    def MinimumZoom (self, value : Single) -> None: ...
    @property
    def MaximumZoom (self) -> Single: ...
    @MaximumZoom.setter
    def MaximumZoom (self, value : Single) -> None: ...
    @property
    def Zoom (self) -> Single: ...
    @Zoom.setter
    def Zoom (self, value : Single) -> None: ...
class SearchBox(TextBox):
    def __init__(self): ...
class Slider(Control):
    def __init__(self): ...
    def add_ValueChanged (self, value : EventHandler) -> None: ...
    def remove_ValueChanged (self, value : EventHandler) -> None: ...
    @property
    def TickFrequency (self) -> int: ...
    @TickFrequency.setter
    def TickFrequency (self, value : int) -> None: ...
    @property
    def SnapToTick (self) -> bool: ...
    @SnapToTick.setter
    def SnapToTick (self, value : bool) -> None: ...
    @property
    def MaxValue (self) -> int: ...
    @MaxValue.setter
    def MaxValue (self, value : int) -> None: ...
    @property
    def MinValue (self) -> int: ...
    @MinValue.setter
    def MinValue (self, value : int) -> None: ...
    @property
    def Value (self) -> int: ...
    @Value.setter
    def Value (self, value : int) -> None: ...
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
class SliderOrientation:
    @property
    def Horizontal () -> SliderOrientation: ...
    @property
    def Vertical () -> SliderOrientation: ...
    def op_Implicit (orientation : SliderOrientation) -> Orientation: ...
    def op_Implicit (orientation : Orientation) -> SliderOrientation: ...
    def op_Equality (orientation1 : Orientation, orientation2 : SliderOrientation) -> bool: ...
    def op_Inequality (orientation1 : Orientation, orientation2 : SliderOrientation) -> bool: ...
    def Equals (self, obj : Object) -> bool: ...
    def GetHashCode (self) -> int: ...
class Spinner(Control):
    def __init__(self): ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
class SplitterFixedPanel:
    Panel1 = 0
    Panel2 = 1
    None = 2
class Splitter(Container):
    def __init__(self): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def IsSupported () -> bool: ...
    def add_PositionChanged (self, value : EventHandler) -> None: ...
    def remove_PositionChanged (self, value : EventHandler) -> None: ...
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
    @property
    def FixedPanel (self) -> SplitterFixedPanel: ...
    @FixedPanel.setter
    def FixedPanel (self, value : SplitterFixedPanel) -> None: ...
    @property
    def Position (self) -> int: ...
    @Position.setter
    def Position (self, value : int) -> None: ...
    @property
    def RelativePosition (self) -> float: ...
    @RelativePosition.setter
    def RelativePosition (self, value : float) -> None: ...
    @property
    def SplitterWidth (self) -> int: ...
    @SplitterWidth.setter
    def SplitterWidth (self, value : int) -> None: ...
    @property
    def Panel1 (self) -> Control: ...
    @Panel1.setter
    def Panel1 (self, value : Control) -> None: ...
    @property
    def Panel1MinimumSize (self) -> int: ...
    @Panel1MinimumSize.setter
    def Panel1MinimumSize (self, value : int) -> None: ...
    @property
    def Panel2 (self) -> Control: ...
    @Panel2.setter
    def Panel2 (self, value : Control) -> None: ...
    @property
    def Panel2MinimumSize (self) -> int: ...
    @Panel2MinimumSize.setter
    def Panel2MinimumSize (self, value : int) -> None: ...
    def Remove (self, child : Control) -> None: ...
class SplitterOrientation:
    @property
    def Horizontal () -> SplitterOrientation: ...
    @property
    def Vertical () -> SplitterOrientation: ...
    def op_Implicit (orientation : SplitterOrientation) -> Orientation: ...
    def op_Implicit (orientation : Orientation) -> SplitterOrientation: ...
    def op_Equality (orientation1 : Orientation, orientation2 : SplitterOrientation) -> bool: ...
    def op_Inequality (orientation1 : Orientation, orientation2 : SplitterOrientation) -> bool: ...
    def Equals (self, obj : Object) -> bool: ...
    def GetHashCode (self) -> int: ...
class StepperDirection:
    Up = 0
    Down = 1
class StepperValidDirections:
    None = 0
    Up = 1
    Down = 2
    Both = 3
class StepperEventArgs:
    def __init__(self, direction : StepperDirection): ...
    @property
    def Direction (self) -> StepperDirection: ...
class Stepper(Control):
    def __init__(self): ...
    def add_Step (self, value : EventHandler) -> None: ...
    def remove_Step (self, value : EventHandler) -> None: ...
    @property
    def ValidDirection (self) -> StepperValidDirections: ...
    @ValidDirection.setter
    def ValidDirection (self, value : StepperValidDirections) -> None: ...
class TabControl(Container):
    def __init__(self): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    def add_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedIndexChanged (self, value : EventHandler) -> None: ...
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    @property
    def SelectedPage (self) -> TabPage: ...
    @SelectedPage.setter
    def SelectedPage (self, value : TabPage) -> None: ...
    @property
    def Pages (self) -> Collection: ...
    def Remove (self, child : Control) -> None: ...
    @property
    def TabPosition (self) -> DockPosition: ...
    @TabPosition.setter
    def TabPosition (self, value : DockPosition) -> None: ...
    @property
    def SelectedIndexBinding (self) -> BindableBinding: ...
class TabPage(Panel):
    def __init__(self, control : Control, padding : Nullable): ...
    def __init__(self): ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class TextReplacements:
    None = 0
    Text = 1
    Quote = 2
    Dash = 4
    Spelling = 8
    All = 15
class TextArea(TextControl):
    def __init__(self): ...
    def add_SelectionChanged (self, value : EventHandler) -> None: ...
    def remove_SelectionChanged (self, value : EventHandler) -> None: ...
    def add_CaretIndexChanged (self, value : EventHandler) -> None: ...
    def remove_CaretIndexChanged (self, value : EventHandler) -> None: ...
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def Wrap (self) -> bool: ...
    @Wrap.setter
    def Wrap (self, value : bool) -> None: ...
    @property
    def SelectedText (self) -> str: ...
    @SelectedText.setter
    def SelectedText (self, value : str) -> None: ...
    @property
    def Selection (self) -> Range: ...
    @Selection.setter
    def Selection (self, value : Range) -> None: ...
    def SelectAll (self) -> None: ...
    @property
    def CaretIndex (self) -> int: ...
    @CaretIndex.setter
    def CaretIndex (self, value : int) -> None: ...
    @property
    def AcceptsTab (self) -> bool: ...
    @AcceptsTab.setter
    def AcceptsTab (self, value : bool) -> None: ...
    @property
    def AcceptsReturn (self) -> bool: ...
    @AcceptsReturn.setter
    def AcceptsReturn (self, value : bool) -> None: ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def HorizontalAlign (self) -> HorizontalAlign: ...
    @HorizontalAlign.setter
    def HorizontalAlign (self, value : HorizontalAlign) -> None: ...
    @property
    def SpellCheck (self) -> bool: ...
    @SpellCheck.setter
    def SpellCheck (self, value : bool) -> None: ...
    @property
    def SpellCheckIsSupported (self) -> bool: ...
    @property
    def TextReplacements (self) -> TextReplacements: ...
    @TextReplacements.setter
    def TextReplacements (self, value : TextReplacements) -> None: ...
    @property
    def SupportedTextReplacements (self) -> TextReplacements: ...
    def Append (self, text : str, scrollToCursor : bool) -> None: ...
class AutoSelectMode:
    OnFocus = 0
    Never = 1
    Always = 2
class TextBox(TextControl):
    def __init__(self): ...
    def add_TextChanging (self, value : EventHandler) -> None: ...
    def remove_TextChanging (self, value : EventHandler) -> None: ...
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def MaxLength (self) -> int: ...
    @MaxLength.setter
    def MaxLength (self, value : int) -> None: ...
    @property
    def PlaceholderText (self) -> str: ...
    @PlaceholderText.setter
    def PlaceholderText (self, value : str) -> None: ...
    @property
    def ShowBorder (self) -> bool: ...
    @ShowBorder.setter
    def ShowBorder (self, value : bool) -> None: ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    def SelectAll (self) -> None: ...
    @property
    def CaretIndex (self) -> int: ...
    @CaretIndex.setter
    def CaretIndex (self, value : int) -> None: ...
    @property
    def Selection (self) -> Range: ...
    @Selection.setter
    def Selection (self, value : Range) -> None: ...
    @property
    def SelectedText (self) -> str: ...
    @SelectedText.setter
    def SelectedText (self, value : str) -> None: ...
    @property
    def AutoSelectMode (self) -> AutoSelectMode: ...
    @AutoSelectMode.setter
    def AutoSelectMode (self, value : AutoSelectMode) -> None: ...
class TextChangingEventArgs:
    def __init__(self, text : str, range : Range, fromUser : bool): ...
    def __init__(self, text : str, range : Range, oldText : str, fromUser : bool): ...
    def __init__(self, oldText : str, newText : str, fromUser : bool): ...
    @property
    def Text (self) -> str: ...
    @property
    def Range (self) -> Range: ...
    @property
    def OldText (self) -> str: ...
    @property
    def NewText (self) -> str: ...
    @property
    def FromUser (self) -> bool: ...
class TextControl(CommonControl):
    def add_TextChanged (self, value : EventHandler) -> None: ...
    def remove_TextChanged (self, value : EventHandler) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def TextBinding (self) -> BindableBinding: ...
class TextInputEventArgs:
    def __init__(self, text : str): ...
    @property
    def Text (self) -> str: ...
class TextStepper(TextBox):
    def __init__(self): ...
    def add_Step (self, value : EventHandler) -> None: ...
    def remove_Step (self, value : EventHandler) -> None: ...
    @property
    def ValidDirection (self) -> StepperValidDirections: ...
    @ValidDirection.setter
    def ValidDirection (self, value : StepperValidDirections) -> None: ...
    @property
    def ShowStepper (self) -> bool: ...
    @ShowStepper.setter
    def ShowStepper (self, value : bool) -> None: ...
class ITreeGridItem:
class TreeGridItemCollection:
    def __init__(self): ...
    def __init__(self, items : Iterable[ITreeGridItem]): ...
class TreeGridItem(GridItem):
    def __init__(self): ...
    def __init__(self, values : Set(Object)): ...
    def __init__(self, children : Iterable[ITreeGridItem], values : Set(Object)): ...
    @property
    def Children (self) -> TreeGridItemCollection: ...
    @property
    def Parent (self) -> ITreeGridItem: ...
    @Parent.setter
    def Parent (self, value : ITreeGridItem) -> None: ...
    @property
    def Expandable (self) -> bool: ...
    @property
    def Expanded (self) -> bool: ...
    @Expanded.setter
    def Expanded (self, value : bool) -> None: ...
    @property
    def Item (self, index : int) -> ITreeGridItem: ...
    @property
    def Count (self) -> int: ...
class TreeGridViewItemEventArgs:
    def __init__(self, item : ITreeGridItem): ...
    @property
    def Item (self) -> ITreeGridItem: ...
class TreeGridViewItemCancelEventArgs:
    def __init__(self, item : ITreeGridItem): ...
    @property
    def Item (self) -> ITreeGridItem: ...
class TreeGridCell:
    @property
    def Item (self) -> Object: ...
    @property
    def Column (self) -> GridColumn: ...
    @property
    def ColumnIndex (self) -> int: ...
class GridDragPosition:
    Over = 0
    Before = 1
    After = 2
class TreeGridViewDragInfo:
    def __init__(self, control : TreeGridView, parent : Object, item : Object, childIndex : Nullable, position : GridDragPosition): ...
    @property
    def Parent (self) -> Object: ...
    @Parent.setter
    def Parent (self, value : Object) -> None: ...
    @property
    def ChildIndex (self) -> int: ...
    @property
    def InsertIndex (self) -> int: ...
    @property
    def Position (self) -> GridDragPosition: ...
    @Position.setter
    def Position (self, value : GridDragPosition) -> None: ...
    @property
    def Control (self) -> TreeGridView: ...
    @property
    def IsChanged (self) -> bool: ...
    @property
    def Item (self) -> Object: ...
    @Item.setter
    def Item (self, value : Object) -> None: ...
    def RestrictToOver (self) -> None: ...
    def RestrictToInsert (self) -> None: ...
    def RestrictToNode (self, item : Object, childLevels : int) -> bool: ...
class TreeGridView(Grid):
    def __init__(self): ...
    def add_Activated (self, value : EventHandler) -> None: ...
    def remove_Activated (self, value : EventHandler) -> None: ...
    def add_Expanding (self, value : EventHandler) -> None: ...
    def remove_Expanding (self, value : EventHandler) -> None: ...
    def add_Expanded (self, value : EventHandler) -> None: ...
    def remove_Expanded (self, value : EventHandler) -> None: ...
    def add_Collapsing (self, value : EventHandler) -> None: ...
    def remove_Collapsing (self, value : EventHandler) -> None: ...
    def add_Collapsed (self, value : EventHandler) -> None: ...
    def remove_Collapsed (self, value : EventHandler) -> None: ...
    def add_SelectedItemChanged (self, value : EventHandler) -> None: ...
    def remove_SelectedItemChanged (self, value : EventHandler) -> None: ...
    @property
    def SelectedItem (self) -> ITreeGridItem: ...
    @SelectedItem.setter
    def SelectedItem (self, value : ITreeGridItem) -> None: ...
    @property
    def DataStore (self) -> ITreeGridStore: ...
    @DataStore.setter
    def DataStore (self, value : ITreeGridStore) -> None: ...
    @property
    def SelectedItems (self) -> Iterable[Object]: ...
    @property
    def ContextMenu (self) -> ContextMenu: ...
    @ContextMenu.setter
    def ContextMenu (self, value : ContextMenu) -> None: ...
    def ReloadData (self) -> None: ...
    def ReloadItem (self, item : ITreeGridItem) -> None: ...
    def ReloadItem (self, item : ITreeGridItem, reloadChildren : bool) -> None: ...
    def GetCellAt (self, location : PointF) -> TreeGridCell: ...
    def GetDragInfo (self, args : DragEventArgs) -> TreeGridViewDragInfo: ...
class ITreeItem:
class TreeItemCollection:
    def __init__(self): ...
class TreeItem(ImageListItem):
    def __init__(self): ...
    def __init__(self, children : Iterable[ITreeItem]): ...
    def __init__(self, children : Set(ITreeItem)): ...
    def add_CollectionChanged (self, value : NotifyCollectionChangedEventHandler) -> None: ...
    def remove_CollectionChanged (self, value : NotifyCollectionChangedEventHandler) -> None: ...
    @property
    def Children (self) -> TreeItemCollection: ...
    @property
    def Parent (self) -> ITreeItem: ...
    @Parent.setter
    def Parent (self, value : ITreeItem) -> None: ...
    @property
    def Expandable (self) -> bool: ...
    @property
    def Expanded (self) -> bool: ...
    @Expanded.setter
    def Expanded (self, value : bool) -> None: ...
    @property
    def Item (self, index : int) -> ITreeItem: ...
    @property
    def Count (self) -> int: ...
class ITreeStore:
class TreeViewItemEventArgs:
    def __init__(self, item : ITreeItem): ...
    @property
    def Item (self) -> ITreeItem: ...
class TreeViewItemCancelEventArgs:
    def __init__(self, item : ITreeItem): ...
    @property
    def Item (self) -> ITreeItem: ...
class TreeViewItemEditEventArgs(TreeViewItemCancelEventArgs):
    def __init__(self, item : ITreeItem, label : str): ...
    @property
    def Label (self) -> str: ...
    @Label.setter
    def Label (self, value : str) -> None: ...
class TreeView(Control):
    def __init__(self): ...
    def add_Activated (self, value : EventHandler) -> None: ...
    def remove_Activated (self, value : EventHandler) -> None: ...
    def add_SelectionChanged (self, value : EventHandler) -> None: ...
    def remove_SelectionChanged (self, value : EventHandler) -> None: ...
    def add_Expanding (self, value : EventHandler) -> None: ...
    def remove_Expanding (self, value : EventHandler) -> None: ...
    def add_Expanded (self, value : EventHandler) -> None: ...
    def remove_Expanded (self, value : EventHandler) -> None: ...
    def add_Collapsing (self, value : EventHandler) -> None: ...
    def remove_Collapsing (self, value : EventHandler) -> None: ...
    def add_Collapsed (self, value : EventHandler) -> None: ...
    def remove_Collapsed (self, value : EventHandler) -> None: ...
    def add_LabelEdited (self, value : EventHandler) -> None: ...
    def remove_LabelEdited (self, value : EventHandler) -> None: ...
    def add_LabelEditing (self, value : EventHandler) -> None: ...
    def remove_LabelEditing (self, value : EventHandler) -> None: ...
    def add_NodeMouseClick (self, value : EventHandler) -> None: ...
    def remove_NodeMouseClick (self, value : EventHandler) -> None: ...
    @property
    def SelectedItem (self) -> ITreeItem: ...
    @SelectedItem.setter
    def SelectedItem (self, value : ITreeItem) -> None: ...
    @property
    def DataStore (self) -> ITreeStore: ...
    @DataStore.setter
    def DataStore (self, value : ITreeStore) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    def RefreshData (self) -> None: ...
    def RefreshItem (self, item : ITreeItem) -> None: ...
    def GetNodeAt (self, point : PointF) -> ITreeItem: ...
    @property
    def LabelEdit (self) -> bool: ...
    @LabelEdit.setter
    def LabelEdit (self, value : bool) -> None: ...
    @property
    def ContextMenu (self) -> ContextMenu: ...
    @ContextMenu.setter
    def ContextMenu (self, value : ContextMenu) -> None: ...
class WebViewLoadedEventArgs:
    def __init__(self, uri : Uri): ...
    @property
    def Uri (self) -> Uri: ...
class WebViewLoadingEventArgs(WebViewLoadedEventArgs):
    def __init__(self, uri : Uri, isMainFrame : bool): ...
    @property
    def Cancel (self) -> bool: ...
    @Cancel.setter
    def Cancel (self, value : bool) -> None: ...
    @property
    def IsMainFrame (self) -> bool: ...
    @IsMainFrame.setter
    def IsMainFrame (self, value : bool) -> None: ...
class WebViewTitleEventArgs:
    def __init__(self, title : str): ...
    @property
    def Title (self) -> str: ...
class WebViewNewWindowEventArgs(WebViewLoadingEventArgs):
    def __init__(self, uri : Uri, newWindowName : str): ...
    @property
    def NewWindowName (self) -> str: ...
class WebView(Control):
    def __init__(self): ...
    def add_Navigated (self, value : EventHandler) -> None: ...
    def remove_Navigated (self, value : EventHandler) -> None: ...
    def add_DocumentLoaded (self, value : EventHandler) -> None: ...
    def remove_DocumentLoaded (self, value : EventHandler) -> None: ...
    def add_DocumentLoading (self, value : EventHandler) -> None: ...
    def remove_DocumentLoading (self, value : EventHandler) -> None: ...
    def add_OpenNewWindow (self, value : EventHandler) -> None: ...
    def remove_OpenNewWindow (self, value : EventHandler) -> None: ...
    def add_DocumentTitleChanged (self, value : EventHandler) -> None: ...
    def remove_DocumentTitleChanged (self, value : EventHandler) -> None: ...
    def GoBack (self) -> None: ...
    @property
    def CanGoBack (self) -> bool: ...
    def GoForward (self) -> None: ...
    @property
    def CanGoForward (self) -> bool: ...
    @property
    def Url (self) -> Uri: ...
    @Url.setter
    def Url (self, value : Uri) -> None: ...
    def Stop (self) -> None: ...
    def Reload (self) -> None: ...
    def ExecuteScript (self, script : str) -> str: ...
    @property
    def DocumentTitle (self) -> str: ...
    def LoadHtml (self, stream : Stream, baseUri : Uri) -> None: ...
    def LoadHtml (self, html : str, baseUri : Uri) -> None: ...
    def ShowPrintDialog (self) -> None: ...
    @property
    def BrowserContextMenuEnabled (self) -> bool: ...
    @BrowserContextMenuEnabled.setter
    def BrowserContextMenuEnabled (self, value : bool) -> None: ...
class CursorType:
    Default = 0
    Arrow = 1
    Crosshair = 2
    Pointer = 3
    Move = 4
    IBeam = 5
    VerticalSplit = 6
    HorizontalSplit = 7
class Cursor(Widget):
    def __init__(self, type : CursorType): ...
class Cursors:
    def Cached (type : CursorType) -> Cursor: ...
    def ClearCache () -> None: ...
    @property
    def Default () -> Cursor: ...
    @property
    def Arrow () -> Cursor: ...
    @property
    def Crosshair () -> Cursor: ...
    @property
    def Pointer () -> Cursor: ...
    @property
    def Move () -> Cursor: ...
    @property
    def IBeam () -> Cursor: ...
    @property
    def VerticalSplit () -> Cursor: ...
    @property
    def HorizontalSplit () -> Cursor: ...
class IDataObject:
    @property
    def Types (self) -> Set(str): ...
    @property
    def ContainsText (self) -> bool: ...
    @property
    def ContainsHtml (self) -> bool: ...
    @property
    def ContainsImage (self) -> bool: ...
    @property
    def ContainsUris (self) -> bool: ...
    def SetString (self, value : str, type : str) -> None: ...
    def SetData (self, value : Set(Byte), type : str) -> None: ...
    def GetString (self, type : str) -> str: ...
    def Contains (self, type : str) -> bool: ...
    def GetData (self, type : str) -> Set(Byte): ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Html (self) -> str: ...
    @Html.setter
    def Html (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Uris (self) -> Set(Uri): ...
    @Uris.setter
    def Uris (self, value : Set(Uri)) -> None: ...
    def Clear (self) -> None: ...
class DataObject(Widget):
    def __init__(self): ...
    def __init__(self, handler : IHandler): ...
    @property
    def Types (self) -> Set(str): ...
    @property
    def ContainsText (self) -> bool: ...
    @property
    def ContainsHtml (self) -> bool: ...
    @property
    def ContainsImage (self) -> bool: ...
    @property
    def ContainsUris (self) -> bool: ...
    def SetString (self, value : str, type : str) -> None: ...
    def SetDataStream (self, stream : Stream, type : str) -> None: ...
    def SetData (self, value : Set(Byte), type : str) -> None: ...
    def Contains (self, type : str) -> bool: ...
    def GetString (self, type : str) -> str: ...
    def GetDataStream (self, type : str) -> Stream: ...
    def GetData (self, type : str) -> Set(Byte): ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Html (self) -> str: ...
    @Html.setter
    def Html (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Uris (self) -> Set(Uri): ...
    @Uris.setter
    def Uris (self, value : Set(Uri)) -> None: ...
    def Clear (self) -> None: ...
class DialogDisplayMode:
    Default = 0
    Attached = 1
    Separate = 2
    Navigation = 4
class Dialog(Window):
    def __init__(self): ...
    @property
    def DisplayMode (self) -> DialogDisplayMode: ...
    @DisplayMode.setter
    def DisplayMode (self, value : DialogDisplayMode) -> None: ...
    @property
    def AbortButton (self) -> Button: ...
    @AbortButton.setter
    def AbortButton (self, value : Button) -> None: ...
    @property
    def DefaultButton (self) -> Button: ...
    @DefaultButton.setter
    def DefaultButton (self, value : Button) -> None: ...
    @property
    def PositiveButtons (self) -> Collection: ...
    @property
    def NegativeButtons (self) -> Collection: ...
    def ShowModal (self, owner : Control) -> None: ...
    def ShowModal (self) -> None: ...
    def ShowModalAsync (self, owner : Control) -> Task: ...
    def ShowModalAsync (self) -> Task: ...
class DockPosition:
    Top = 0
    Left = 1
    Right = 2
    Bottom = 3
class FileDialogFilter(FileFilter):
    def __init__(self): ...
    def __init__(self, name : str, extensions : Set(str)): ...
class FileDialog(CommonDialog):
    @property
    def FileName (self) -> str: ...
    @FileName.setter
    def FileName (self, value : str) -> None: ...
    @property
    def Filters (self) -> Collection: ...
    @property
    def CurrentFilterIndex (self) -> int: ...
    @CurrentFilterIndex.setter
    def CurrentFilterIndex (self, value : int) -> None: ...
    @property
    def CurrentFilter (self) -> FileFilter: ...
    @CurrentFilter.setter
    def CurrentFilter (self, value : FileFilter) -> None: ...
    @property
    def CheckFileExists (self) -> bool: ...
    @CheckFileExists.setter
    def CheckFileExists (self, value : bool) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Directory (self) -> Uri: ...
    @Directory.setter
    def Directory (self, value : Uri) -> None: ...
class FileFilter:
    def __init__(self): ...
    def __init__(self, name : str, extensions : Set(str)): ...
    @property
    def Name (self) -> str: ...
    @Name.setter
    def Name (self, value : str) -> None: ...
    @property
    def Extensions (self) -> Set(str): ...
    @Extensions.setter
    def Extensions (self, value : Set(str)) -> None: ...
    def ToString (self) -> str: ...
    def GetHashCode (self) -> int: ...
    def op_Implicit (filter : str) -> FileFilter: ...
class ISelectionPreserver:
    @property
    def SelectedItems (self) -> Iterable[Object]: ...
    @SelectedItems.setter
    def SelectedItems (self, value : Iterable[Object]) -> None: ...
class FontDialog(CommonDialog):
    def __init__(self): ...
    def add_FontChanged (self, value : EventHandler) -> None: ...
    def remove_FontChanged (self, value : EventHandler) -> None: ...
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
class Form(Window):
    def __init__(self): ...
    def __init__(self, handler : IHandler): ...
    @property
    def ShowActivated (self) -> bool: ...
    @ShowActivated.setter
    def ShowActivated (self, value : bool) -> None: ...
    @property
    def CanFocus (self) -> bool: ...
    @CanFocus.setter
    def CanFocus (self, value : bool) -> None: ...
    def Show (self) -> None: ...
class IKeyboardInputSource:
    def add_KeyUp (self, value : EventHandler) -> None: ...
    def remove_KeyUp (self, value : EventHandler) -> None: ...
    def add_KeyDown (self, value : EventHandler) -> None: ...
    def remove_KeyDown (self, value : EventHandler) -> None: ...
    def add_TextInput (self, value : EventHandler) -> None: ...
    def remove_TextInput (self, value : EventHandler) -> None: ...
class IMouseInputSource:
    def add_MouseUp (self, value : EventHandler) -> None: ...
    def remove_MouseUp (self, value : EventHandler) -> None: ...
    def add_MouseMove (self, value : EventHandler) -> None: ...
    def remove_MouseMove (self, value : EventHandler) -> None: ...
    def add_MouseEnter (self, value : EventHandler) -> None: ...
    def remove_MouseEnter (self, value : EventHandler) -> None: ...
    def add_MouseLeave (self, value : EventHandler) -> None: ...
    def remove_MouseLeave (self, value : EventHandler) -> None: ...
    def add_MouseDown (self, value : EventHandler) -> None: ...
    def remove_MouseDown (self, value : EventHandler) -> None: ...
    def add_MouseDoubleClick (self, value : EventHandler) -> None: ...
    def remove_MouseDoubleClick (self, value : EventHandler) -> None: ...
    def add_MouseWheel (self, value : EventHandler) -> None: ...
    def remove_MouseWheel (self, value : EventHandler) -> None: ...
class Keys:
    None = 0
    A = 1
    B = 2
    C = 3
    D = 4
    E = 5
    F = 6
    G = 7
    H = 8
    I = 9
    J = 10
    K = 11
    L = 12
    M = 13
    N = 14
    O = 15
    P = 16
    Q = 17
    R = 18
    S = 19
    T = 20
    U = 21
    V = 22
    W = 23
    X = 24
    Y = 25
    Z = 26
    F1 = 27
    F2 = 28
    F3 = 29
    F4 = 30
    F5 = 31
    F6 = 32
    F7 = 33
    F8 = 34
    F9 = 35
    F10 = 36
    F11 = 37
    F12 = 38
    D0 = 39
    D1 = 40
    D2 = 41
    D3 = 42
    D4 = 43
    D5 = 44
    D6 = 45
    D7 = 46
    D8 = 47
    D9 = 48
    Minus = 49
    Grave = 51
    Insert = 52
    Home = 53
    PageUp = 54
    PageDown = 55
    Delete = 56
    End = 57
    Divide = 58
    Decimal = 59
    Backspace = 60
    Up = 61
    Down = 62
    Left = 63
    Right = 64
    Tab = 65
    Space = 66
    CapsLock = 67
    ScrollLock = 68
    PrintScreen = 69
    NumberLock = 70
    Enter = 71
    Escape = 72
    Multiply = 73
    Add = 74
    Subtract = 75
    Help = 76
    Pause = 77
    Clear = 78
    KeypadEqual = 79
    Menu = 80
    Backslash = 81
    Equal = 85
    Plus = 85
    Semicolon = 86
    Quote = 87
    Comma = 88
    Period = 89
    ForwardSlash = 96
    Slash = 96
    RightBracket = 97
    LeftBracket = 98
    ContextMenu = 99
    Keypad0 = 112
    Keypad1 = 113
    Keypad2 = 114
    Keypad3 = 115
    Keypad4 = 116
    Keypad5 = 117
    Keypad6 = 118
    Keypad7 = 119
    Keypad8 = 120
    Keypad9 = 121
    KeyMask = 4095
    Shift = 4096
    Alt = 8192
    Control = 16384
    Application = 32768
    ModifierMask = 61440
class KeysExtensions:
    def ToShortcutString (key : Keys, separator : str) -> str: ...
class Keyboard:
    @property
    def SupportedLockKeys () -> Iterable[Keys]: ...
    def IsKeyLocked (key : Keys) -> bool: ...
    @property
    def Modifiers () -> Keys: ...
class DynamicControl(DynamicItem):
    def __init__(self): ...
    def Create (self, layout : DynamicLayout) -> Control: ...
    @property
    def Control (self) -> Control: ...
    @Control.setter
    def Control (self, value : Control) -> None: ...
class DynamicItem:
    @property
    def XScale (self) -> Nullable: ...
    @XScale.setter
    def XScale (self, value : Nullable) -> None: ...
    @property
    def YScale (self) -> Nullable: ...
    @YScale.setter
    def YScale (self, value : Nullable) -> None: ...
    def Create (self, layout : DynamicLayout) -> Control: ...
    def Create (self, layout : DynamicLayout, parent : TableLayout, x : int, y : int) -> None: ...
    def op_Implicit (control : Control) -> DynamicItem: ...
    def op_Implicit (label : str) -> DynamicItem: ...
class DynamicLayout(Panel):
    def __init__(self): ...
    def __init__(self, rows : Set(DynamicRow)): ...
    def __init__(self, rows : Iterable[DynamicRow]): ...
    @property
    def Rows (self) -> Collection: ...
    @property
    def IsCreated (self) -> bool: ...
    @property
    def Padding (self) -> Nullable: ...
    @Padding.setter
    def Padding (self, value : Nullable) -> None: ...
    @property
    def Spacing (self) -> Nullable: ...
    @Spacing.setter
    def Spacing (self, value : Nullable) -> None: ...
    @property
    def DefaultPadding (self) -> Nullable: ...
    @DefaultPadding.setter
    def DefaultPadding (self, value : Nullable) -> None: ...
    @property
    def DefaultSpacing (self) -> Nullable: ...
    @DefaultSpacing.setter
    def DefaultSpacing (self, value : Nullable) -> None: ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def VisualControls (self) -> Iterable[Control]: ...
    def BeginVertical (self, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable) -> DynamicTable: ...
    def EndVertical (self) -> None: ...
    def EndBeginVertical (self, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable) -> DynamicTable: ...
    def BeginHorizontal (self, yscale : Nullable) -> DynamicRow: ...
    def EndHorizontal (self) -> None: ...
    def EndBeginHorizontal (self, yscale : Nullable) -> DynamicRow: ...
    def BeginCentered (self, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable) -> None: ...
    def EndCentered (self) -> None: ...
    def BeginGroup (self, title : str, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable) -> DynamicGroup: ...
    def EndGroup (self) -> None: ...
    def Add (self, control : Control, xscale : Nullable, yscale : Nullable) -> DynamicControl: ...
    def AddRange (self, controls : Iterable[Control]) -> None: ...
    def AddRange (self, controls : Set(Control)) -> None: ...
    def AddSeparateRow (self, controls : Set(Control)) -> DynamicRow: ...
    def AddSeparateRow (self, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable, controls : Iterable[Control]) -> DynamicRow: ...
    def AddSeparateColumn (self, controls : Set(Control)) -> DynamicTable: ...
    def AddSeparateColumn (self, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable, controls : Iterable[Control]) -> DynamicTable: ...
    def AddRow (self, controls : Set(Control)) -> DynamicRow: ...
    def AddCentered (self, control : Control, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable, horizontalCenter : bool, verticalCenter : bool) -> None: ...
    def AddAutoSized (self, control : Control, padding : Nullable, spacing : Nullable, xscale : Nullable, yscale : Nullable, centered : bool) -> None: ...
    def AddColumn (self, controls : Set(Control)) -> None: ...
    def AddSpace (self, xscale : Nullable, yscale : Nullable) -> DynamicControl: ...
    def Create (self) -> None: ...
    def Clear (self) -> None: ...
class DynamicRow:
    def __init__(self): ...
    def __init__(self, items : Set(DynamicItem)): ...
    def __init__(self, items : Iterable[DynamicItem]): ...
    def __init__(self, controls : Iterable[Control], xscale : Nullable, yscale : Nullable): ...
    @property
    def Table (self) -> DynamicTable: ...
    @property
    def Items (self) -> Collection: ...
    def Add (self, controls : Set(Control)) -> None: ...
    def Add (self, items : Set(DynamicItem)) -> None: ...
    def Add (self, items : Iterable[DynamicItem]) -> None: ...
    def Add (self, controls : Iterable[Control], xscale : Nullable, yscale : Nullable) -> None: ...
    def op_Implicit (control : Control) -> DynamicRow: ...
class DynamicTable(DynamicItem):
    def __init__(self): ...
    def __init__(self, rows : Set(DynamicRow)): ...
    def __init__(self, rows : Iterable[DynamicRow]): ...
    @property
    def Rows (self) -> Collection: ...
    @property
    def Table (self) -> TableLayout: ...
    @property
    def Parent (self) -> DynamicTable: ...
    @property
    def Padding (self) -> Nullable: ...
    @Padding.setter
    def Padding (self, value : Nullable) -> None: ...
    @property
    def Spacing (self) -> Nullable: ...
    @Spacing.setter
    def Spacing (self, value : Nullable) -> None: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
    def Add (self, item : DynamicItem) -> None: ...
    def AddRow (self, item : DynamicItem) -> None: ...
    def AddRow (self, row : DynamicRow) -> None: ...
    def Create (self, layout : DynamicLayout) -> Control: ...
class DynamicGroup(DynamicTable):
    def __init__(self): ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def GroupBox (self) -> GroupBox: ...
    def Create (self, layout : DynamicLayout) -> Control: ...
class Layout(Container):
    def Update (self) -> None: ...
    def BeginInit (self) -> None: ...
    def EndInit (self) -> None: ...
class PixelLayout(Layout):
    def __init__(self): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def Contents (self) -> List: ...
    def GetLocation (control : Control) -> Point: ...
    def SetLocation (control : Control, value : Point) -> None: ...
    def Add (self, control : Control, x : int, y : int) -> None: ...
    def Add (self, control : Control, location : Point) -> None: ...
    def Move (self, control : Control, x : int, y : int) -> None: ...
    def Move (self, control : Control, location : Point) -> None: ...
    def Remove (self, child : Control) -> None: ...
    def EndInit (self) -> None: ...
class HorizontalAlignment:
    Left = 0
    Center = 1
    Right = 2
    Stretch = 3
class VerticalAlignment:
    Top = 0
    Center = 1
    Bottom = 2
    Stretch = 3
class StackLayoutItem:
    def __init__(self): ...
    def __init__(self, control : Control, expand : bool): ...
    def __init__(self, control : Control, alignment : Nullable, expand : bool): ...
    def __init__(self, control : Control, alignment : Nullable, expand : bool): ...
    @property
    def Control (self) -> Control: ...
    @Control.setter
    def Control (self, value : Control) -> None: ...
    @property
    def HorizontalAlignment (self) -> Nullable: ...
    @HorizontalAlignment.setter
    def HorizontalAlignment (self, value : Nullable) -> None: ...
    @property
    def VerticalAlignment (self) -> Nullable: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : Nullable) -> None: ...
    @property
    def Expand (self) -> bool: ...
    @Expand.setter
    def Expand (self, value : bool) -> None: ...
    def op_Implicit (control : Control) -> StackLayoutItem: ...
    def op_Implicit (labelText : str) -> StackLayoutItem: ...
    def op_Implicit (image : Image) -> StackLayoutItem: ...
class StackLayout(Panel):
    def __init__(self): ...
    def __init__(self, items : Set(StackLayoutItem)): ...
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
    @property
    def Spacing (self) -> int: ...
    @Spacing.setter
    def Spacing (self, value : int) -> None: ...
    @property
    def HorizontalContentAlignment (self) -> HorizontalAlignment: ...
    @HorizontalContentAlignment.setter
    def HorizontalContentAlignment (self, value : HorizontalAlignment) -> None: ...
    @property
    def VerticalContentAlignment (self) -> VerticalAlignment: ...
    @VerticalContentAlignment.setter
    def VerticalContentAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def AlignLabels (self) -> bool: ...
    @AlignLabels.setter
    def AlignLabels (self, value : bool) -> None: ...
    @property
    def Items (self) -> Collection: ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def VisualControls (self) -> Iterable[Control]: ...
    def SuspendLayout (self) -> None: ...
    def ResumeLayout (self) -> None: ...
class TableCell:
    def __init__(self): ...
    def __init__(self, control : Control, scaleWidth : bool): ...
    @property
    def ScaleWidth (self) -> bool: ...
    @ScaleWidth.setter
    def ScaleWidth (self, value : bool) -> None: ...
    @property
    def Control (self) -> Control: ...
    @Control.setter
    def Control (self, value : Control) -> None: ...
    def op_Implicit (control : Control) -> TableCell: ...
    def op_Implicit (items : Set(TableCell)) -> TableCell: ...
    def op_Implicit (rows : Set(TableRow)) -> TableCell: ...
    def op_Implicit (labelText : str) -> TableCell: ...
    def op_Implicit (image : Image) -> TableCell: ...
class TableLayout(Layout):
    def __init__(self): ...
    def __init__(self, columns : int, rows : int): ...
    def __init__(self, dimensions : Size): ...
    def __init__(self, rows : Set(TableRow)): ...
    def __init__(self, rows : Iterable[TableRow]): ...
    def __init__(self, yscale : bool, rows : Set(TableRow)): ...
    @property
    def Controls (self) -> Iterable[Control]: ...
    @property
    def Rows (self) -> Collection: ...
    @property
    def Dimensions (self) -> Size: ...
    def AutoSized (control : Control, padding : Nullable, centered : bool) -> TableLayout: ...
    def Horizontal (cells : Set(TableCell)) -> TableLayout: ...
    def HorizontalScaled (cells : Set(TableCell)) -> TableLayout: ...
    def Horizontal (spacing : int, cells : Set(TableCell)) -> TableLayout: ...
    def HorizontalScaled (spacing : int, cells : Set(TableCell)) -> TableLayout: ...
    def SetColumnScale (self, column : int, scale : bool) -> None: ...
    def GetColumnScale (self, column : int) -> bool: ...
    def SetRowScale (self, row : int, scale : bool) -> None: ...
    def GetRowScale (self, row : int) -> bool: ...
    def Add (self, control : Control, x : int, y : int) -> None: ...
    def Add (self, control : Control, x : int, y : int, xscale : bool, yscale : bool) -> None: ...
    def Add (self, control : Control, location : Point) -> None: ...
    def Move (self, control : Control, x : int, y : int) -> None: ...
    def Move (self, control : Control, location : Point) -> None: ...
    def Remove (self, child : Control) -> None: ...
    @property
    def Spacing (self) -> Size: ...
    @Spacing.setter
    def Spacing (self, value : Size) -> None: ...
    @property
    def Padding (self) -> Padding: ...
    @Padding.setter
    def Padding (self, value : Padding) -> None: ...
    def EndInit (self) -> None: ...
    def op_Implicit (rows : Set(TableRow)) -> TableLayout: ...
class TableRow:
    def __init__(self): ...
    def __init__(self, cells : Set(TableCell)): ...
    def __init__(self, cells : Iterable[TableCell]): ...
    @property
    def ScaleHeight (self) -> bool: ...
    @ScaleHeight.setter
    def ScaleHeight (self, value : bool) -> None: ...
    @property
    def Cells (self) -> Collection: ...
    @Cells.setter
    def Cells (self, value : Collection) -> None: ...
    def op_Implicit (control : Control) -> TableRow: ...
    def op_Implicit (cells : Set(TableCell)) -> TableRow: ...
    def op_Implicit (labelText : str) -> TableRow: ...
    def op_Implicit (image : Image) -> TableRow: ...
    def op_Implicit (row : TableRow) -> Control: ...
    def op_Implicit (row : TableRow) -> TableCell: ...
class IListItem:
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Key (self) -> str: ...
class ListItem:
    def __init__(self): ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Key (self) -> str: ...
    @Key.setter
    def Key (self, value : str) -> None: ...
    @property
    def Tag (self) -> Object: ...
    @Tag.setter
    def Tag (self, value : Object) -> None: ...
    def ToString (self) -> str: ...
    def op_Implicit (text : str) -> ListItem: ...
class ImageListItem(ListItem):
    def __init__(self): ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class FixedMaskedTextProvider:
    def __init__(self, mask : str, culture : CultureInfo, allowPromptAsInput : bool, restrictToAscii : bool): ...
    @property
    def Culture (self) -> CultureInfo: ...
    @property
    def Mask (self) -> str: ...
    @property
    def AllowPromptAsInput (self) -> bool: ...
    @property
    def PromptChar (self) -> Char: ...
    @PromptChar.setter
    def PromptChar (self, value : Char) -> None: ...
    @property
    def PasswordChar (self) -> Char: ...
    @PasswordChar.setter
    def PasswordChar (self, value : Char) -> None: ...
    @property
    def AsciiOnly (self) -> bool: ...
    def Insert (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Replace (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Delete (self, position : int, length : int, forward : bool) -> Tuple[bool, int]: ...
    def Clear (self, position : int, length : int, forward : bool) -> Tuple[bool, int]: ...
    @property
    def DisplayText (self) -> str: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def MaskCompleted (self) -> bool: ...
    @property
    def IsPassword (self) -> bool: ...
    @IsPassword.setter
    def IsPassword (self, value : bool) -> None: ...
    @property
    def IncludeLiterals (self) -> bool: ...
    @IncludeLiterals.setter
    def IncludeLiterals (self, value : bool) -> None: ...
    @property
    def IncludePrompt (self) -> bool: ...
    @IncludePrompt.setter
    def IncludePrompt (self, value : bool) -> None: ...
    @property
    def SkipLiterals (self) -> bool: ...
    @SkipLiterals.setter
    def SkipLiterals (self, value : bool) -> None: ...
    @property
    def AutoAdvance (self) -> bool: ...
    @AutoAdvance.setter
    def AutoAdvance (self, value : bool) -> None: ...
    @property
    def EditPositions (self) -> Iterable[int]: ...
    @property
    def IsEmpty (self) -> bool: ...
    @property
    def MaskFull (self) -> bool: ...
class IMaskedTextProvider:
    def Insert (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Replace (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Delete (self, position : int, length : int, forward : bool) -> Tuple[bool, int]: ...
    def Clear (self, position : int, length : int, forward : bool) -> Tuple[bool, int]: ...
    @property
    def DisplayText (self) -> str: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def MaskCompleted (self) -> bool: ...
    @property
    def EditPositions (self) -> Iterable[int]: ...
    @property
    def IsEmpty (self) -> bool: ...
class NumericMaskedTextProvider(VariableMaskedTextProvider):
    def __init__(self): ...
    @property
    def AllowDecimal (self) -> bool: ...
    @AllowDecimal.setter
    def AllowDecimal (self, value : bool) -> None: ...
    @property
    def AllowSign (self) -> bool: ...
    @AllowSign.setter
    def AllowSign (self, value : bool) -> None: ...
    @property
    def SignCharacters (self) -> Set(Char): ...
    @SignCharacters.setter
    def SignCharacters (self, value : Set(Char)) -> None: ...
    @property
    def Validate (self) -> Func: ...
    @Validate.setter
    def Validate (self, value : Func) -> None: ...
    @property
    def DecimalCharacter (self) -> Char: ...
    @DecimalCharacter.setter
    def DecimalCharacter (self, value : Char) -> None: ...
    @property
    def MaskCompleted (self) -> bool: ...
    def Replace (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Insert (self, character : Char, position : int) -> Tuple[bool, int]: ...
class VariableMaskedTextProvider:
    def Insert (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Replace (self, character : Char, position : int) -> Tuple[bool, int]: ...
    def Delete (self, position : int, length : int, forward : bool) -> Tuple[bool, int]: ...
    def Clear (self, position : int, length : int, forward : bool) -> Tuple[bool, int]: ...
    @property
    def MaskCompleted (self) -> bool: ...
    @property
    def DisplayText (self) -> str: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def EditPositions (self) -> Iterable[int]: ...
    @property
    def IsEmpty (self) -> bool: ...
class ButtonMenuItem(MenuItem):
    def __init__(self): ...
    def __init__(self, click : EventHandler): ...
    def __init__(self, command : Command): ...
    @property
    def Items (self) -> MenuItemCollection: ...
    @property
    def Trim (self) -> bool: ...
    @Trim.setter
    def Trim (self, value : bool) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class CheckMenuItem(MenuItem):
    def __init__(self): ...
    def __init__(self, command : CheckCommand): ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    def PerformClick (self) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class IContextMenuHost:
    @property
    def ContextMenu (self) -> ContextMenu: ...
    @ContextMenu.setter
    def ContextMenu (self, value : ContextMenu) -> None: ...
class ContextMenu(Menu):
    def __init__(self): ...
    def __init__(self, items : Iterable[MenuItem]): ...
    def __init__(self, items : Set(MenuItem)): ...
    @property
    def Items (self) -> MenuItemCollection: ...
    @property
    def Trim (self) -> bool: ...
    @Trim.setter
    def Trim (self, value : bool) -> None: ...
    def Show (self) -> None: ...
    def Show (self, relativeTo : Control) -> None: ...
    def Show (self, location : PointF) -> None: ...
    def Show (self, relativeTo : Control, location : Nullable) -> None: ...
    def add_Opening (self, value : EventHandler) -> None: ...
    def remove_Opening (self, value : EventHandler) -> None: ...
    def add_Closed (self, value : EventHandler) -> None: ...
    def remove_Closed (self, value : EventHandler) -> None: ...
    def add_Closing (self, value : EventHandler) -> None: ...
    def remove_Closing (self, value : EventHandler) -> None: ...
class Menu(BindableWidget):
class MenuBarSystemItems:
    None = 0
    Common = 1
    Quit = 4
    All = 5
class MenuBar(Menu):
    def __init__(self): ...
    def __init__(self, items : Iterable[MenuItem]): ...
    def __init__(self, items : Set(MenuItem)): ...
    @property
    def Trim (self) -> bool: ...
    @Trim.setter
    def Trim (self, value : bool) -> None: ...
    @property
    def IncludeSystemItems (self) -> MenuBarSystemItems: ...
    @IncludeSystemItems.setter
    def IncludeSystemItems (self, value : MenuBarSystemItems) -> None: ...
    @property
    def SystemCommands (self) -> Collection: ...
    @property
    def Items (self) -> MenuItemCollection: ...
    @property
    def QuitItem (self) -> MenuItem: ...
    @QuitItem.setter
    def QuitItem (self, value : MenuItem) -> None: ...
    @property
    def AboutItem (self) -> MenuItem: ...
    @AboutItem.setter
    def AboutItem (self, value : MenuItem) -> None: ...
    @property
    def ApplicationMenu (self) -> ButtonMenuItem: ...
    @property
    def ApplicationItems (self) -> MenuItemCollection: ...
    @property
    def HelpMenu (self) -> ButtonMenuItem: ...
    @property
    def HelpItems (self) -> MenuItemCollection: ...
class ICommandItem:
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
class MenuItem(Menu):
    @property
    def Order (self) -> int: ...
    @Order.setter
    def Order (self, value : int) -> None: ...
    @property
    def Command (self) -> ICommand: ...
    @Command.setter
    def Command (self, value : ICommand) -> None: ...
    @property
    def CommandParameter (self) -> Object: ...
    @CommandParameter.setter
    def CommandParameter (self, value : Object) -> None: ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    def add_Validate (self, value : EventHandler) -> None: ...
    def remove_Validate (self, value : EventHandler) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Tag (self) -> Object: ...
    @Tag.setter
    def Tag (self, value : Object) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    @property
    def Shortcut (self) -> Keys: ...
    @Shortcut.setter
    def Shortcut (self, value : Keys) -> None: ...
    def PerformClick (self) -> None: ...
class MenuItemCollection:
    def Trim (self) -> None: ...
    def Add (self, item : MenuItem) -> None: ...
    def Add (self, command : Command, order : int) -> MenuItem: ...
    def AddSeparator (self, order : int) -> None: ...
    def AddRange (self, items : Iterable[MenuItem]) -> None: ...
    def AddRange (self, commands : Iterable[Command], order : int) -> None: ...
    def GetSubmenu (self, submenuText : str, order : int, plaintextMatch : bool, create : bool) -> ButtonMenuItem: ...
class RadioMenuItem(MenuItem):
    def __init__(self): ...
    def __init__(self, controller : RadioMenuItem): ...
    def __init__(self, command : RadioCommand, controller : RadioMenuItem): ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    def PerformClick (self) -> None: ...
class SeparatorMenuItem(MenuItem):
    def __init__(self): ...
class ISubmenu:
    @property
    def Items (self) -> MenuItemCollection: ...
    @property
    def Trim (self) -> bool: ...
class SubmenuExtensions:
    def GetChildren (submenu : ISubmenu) -> Iterable[MenuItem]: ...
class MessageBoxButtons:
    OK = 0
    OKCancel = 1
    YesNo = 2
    YesNoCancel = 3
class MessageBoxType:
    Information = 0
    Warning = 1
    Error = 2
    Question = 3
class MessageBoxDefaultButton:
    Default = 0
    OK = 1
    Yes = 1
    No = 2
    Cancel = 3
class MessageBox:
    def Show (text : str, type : MessageBoxType) -> DialogResult: ...
    def Show (text : str, caption : str, type : MessageBoxType) -> DialogResult: ...
    def Show (parent : Control, text : str, type : MessageBoxType) -> DialogResult: ...
    def Show (parent : Control, text : str, caption : str, type : MessageBoxType) -> DialogResult: ...
    def Show (text : str, buttons : MessageBoxButtons, type : MessageBoxType, defaultButton : MessageBoxDefaultButton) -> DialogResult: ...
    def Show (text : str, caption : str, buttons : MessageBoxButtons, type : MessageBoxType, defaultButton : MessageBoxDefaultButton) -> DialogResult: ...
    def Show (parent : Control, text : str, buttons : MessageBoxButtons, type : MessageBoxType, defaultButton : MessageBoxDefaultButton) -> DialogResult: ...
    def Show (parent : Control, text : str, caption : str, buttons : MessageBoxButtons, type : MessageBoxType, defaultButton : MessageBoxDefaultButton) -> DialogResult: ...
class Mouse:
    @property
    def IsSupported () -> bool: ...
    @property
    def Position () -> PointF: ...
    @Position.setter
    def Position (value : PointF) -> None: ...
    @property
    def Buttons () -> MouseButtons: ...
    def IsAnyButtonPressed (buttons : MouseButtons) -> bool: ...
class Notification(Widget):
    def __init__(self): ...
    @property
    def Icon (self) -> Icon: ...
    @Icon.setter
    def Icon (self, value : Icon) -> None: ...
    @property
    def ContentImage (self) -> Image: ...
    @ContentImage.setter
    def ContentImage (self, value : Image) -> None: ...
    @property
    def Message (self) -> str: ...
    @Message.setter
    def Message (self, value : str) -> None: ...
    @property
    def RequiresTrayIndicator (self) -> bool: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def UserData (self) -> str: ...
    @UserData.setter
    def UserData (self, value : str) -> None: ...
    def Show (self, indicator : TrayIndicator) -> None: ...
    def add_Activated (self, value : EventHandler) -> None: ...
    def remove_Activated (self, value : EventHandler) -> None: ...
class NotificationEventArgs:
    def __init__(self, id : str, userData : str): ...
    @property
    def ID (self) -> str: ...
    @property
    def UserData (self) -> str: ...
class OpenFileDialog(FileDialog):
    def __init__(self): ...
    @property
    def MultiSelect (self) -> bool: ...
    @MultiSelect.setter
    def MultiSelect (self, value : bool) -> None: ...
    @property
    def Filenames (self) -> Iterable[str]: ...
class OpenWithDialog(CommonDialog):
    def __init__(self, filepath : str): ...
class Orientation:
    Horizontal = 0
    Vertical = 1
class PageSettings(Widget):
    def __init__(self): ...
    @property
    def PrintableArea (self) -> RectangleF: ...
class PrintDialog(CommonDialog):
    def __init__(self): ...
    @property
    def PrintSettings (self) -> PrintSettings: ...
    @PrintSettings.setter
    def PrintSettings (self, value : PrintSettings) -> None: ...
    @property
    def AllowSelection (self) -> bool: ...
    @AllowSelection.setter
    def AllowSelection (self, value : bool) -> None: ...
    @property
    def AllowPageRange (self) -> bool: ...
    @AllowPageRange.setter
    def AllowPageRange (self, value : bool) -> None: ...
    def ShowDialog (self, parent : Control, document : PrintDocument) -> DialogResult: ...
class PrintDocument(Widget):
    def __init__(self): ...
    def add_Printing (self, value : EventHandler) -> None: ...
    def remove_Printing (self, value : EventHandler) -> None: ...
    def add_Printed (self, value : EventHandler) -> None: ...
    def remove_Printed (self, value : EventHandler) -> None: ...
    def add_PrintPage (self, value : EventHandler) -> None: ...
    def remove_PrintPage (self, value : EventHandler) -> None: ...
    @property
    def Name (self) -> str: ...
    @Name.setter
    def Name (self, value : str) -> None: ...
    def Print (self) -> None: ...
    @property
    def PrintSettings (self) -> PrintSettings: ...
    @PrintSettings.setter
    def PrintSettings (self, value : PrintSettings) -> None: ...
    @property
    def PageCount (self) -> int: ...
    @PageCount.setter
    def PageCount (self, value : int) -> None: ...
class PrintPageEventArgs:
    def __init__(self, graphics : Graphics, pageSize : SizeF, currentPage : int): ...
    @property
    def Graphics (self) -> Graphics: ...
    @property
    def PageSize (self) -> SizeF: ...
    @property
    def CurrentPage (self) -> int: ...
class PageOrientation:
    Portrait = 0
    Landscape = 1
class PrintSelection:
    AllPages = 0
    Selection = 1
    SelectedPages = 2
class PrintSettings(Widget):
    def __init__(self): ...
    def __init__(self, handler : IHandler): ...
    @property
    def Copies (self) -> int: ...
    @Copies.setter
    def Copies (self, value : int) -> None: ...
    @property
    def MaximumPageRange (self) -> Range: ...
    @MaximumPageRange.setter
    def MaximumPageRange (self, value : Range) -> None: ...
    @property
    def SelectedPageRange (self) -> Range: ...
    @SelectedPageRange.setter
    def SelectedPageRange (self, value : Range) -> None: ...
    @property
    def Orientation (self) -> PageOrientation: ...
    @Orientation.setter
    def Orientation (self, value : PageOrientation) -> None: ...
    @property
    def PrintSelection (self) -> PrintSelection: ...
    @PrintSelection.setter
    def PrintSelection (self, value : PrintSelection) -> None: ...
    @property
    def Collate (self) -> bool: ...
    @Collate.setter
    def Collate (self, value : bool) -> None: ...
    @property
    def Reverse (self) -> bool: ...
    @Reverse.setter
    def Reverse (self, value : bool) -> None: ...
class RangeExtensions:
    def Interval (range : Range) -> TimeSpan: ...
    def Length (range : Range) -> int: ...
    def WithLength (range : Range, length : int) -> Range: ...
class Range:
    def FromLength (start : int, length : int) -> Range: ...
    def FromLength (start : Int64, length : Int64) -> Range: ...
class RelayCommand:
    def __init__(self, execute : Action): ...
    def __init__(self, execute : Action, canExecute : Func): ...
class SaveFileDialog(FileDialog):
    def __init__(self): ...
class Screen(Widget):
    def __init__(self): ...
    def __init__(self, handler : IHandler): ...
    @property
    def Screens () -> Iterable[Screen]: ...
    @property
    def DisplayBounds () -> RectangleF: ...
    @property
    def PrimaryScreen () -> Screen: ...
    @property
    def DPI (self) -> Single: ...
    @property
    def Scale (self) -> Single: ...
    @property
    def RealDPI (self) -> Single: ...
    @property
    def RealScale (self) -> Single: ...
    @property
    def Bounds (self) -> RectangleF: ...
    @property
    def WorkingArea (self) -> RectangleF: ...
    @property
    def BitsPerPixel (self) -> int: ...
    @property
    def IsPrimary (self) -> bool: ...
    @property
    def LogicalPixelSize (self) -> Single: ...
    def FromPoint (point : PointF) -> Screen: ...
    def FromRectangle (rectangle : RectangleF) -> Screen: ...
class SelectFolderDialog(CommonDialog):
    def __init__(self): ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Directory (self) -> str: ...
    @Directory.setter
    def Directory (self, value : str) -> None: ...
class ButtonToolItem(ToolItem):
    def __init__(self): ...
    def __init__(self, click : EventHandler): ...
    def __init__(self, command : Command): ...
class CheckToolItem(ToolItem):
    def __init__(self): ...
    def __init__(self, command : CheckCommand): ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
    def OnCheckedChanged (self, e : EventArgs) -> None: ...
class RadioToolItem(ToolItem):
    def __init__(self): ...
    def __init__(self, command : CheckCommand): ...
    def add_CheckedChanged (self, value : EventHandler) -> None: ...
    def remove_CheckedChanged (self, value : EventHandler) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
    def OnCheckedChanged (self, e : EventArgs) -> None: ...
class SeparatorToolItemType:
    Divider = 0
    Space = 1
    FlexibleSpace = 2
class SeparatorToolItem(ToolItem):
    def __init__(self): ...
    @property
    def Type (self) -> SeparatorToolItemType: ...
    @Type.setter
    def Type (self, value : SeparatorToolItemType) -> None: ...
class Tool(BindableWidget):
    def __init__(self): ...
class ToolBarTextAlign:
    Right = 0
    Underneath = 1
class ToolBarDock:
    Top = 0
    Bottom = 1
class ToolBar(Tool):
    def __init__(self): ...
    @property
    def Dock (self) -> ToolBarDock: ...
    @Dock.setter
    def Dock (self, value : ToolBarDock) -> None: ...
    @property
    def Items (self) -> ToolItemCollection: ...
    @property
    def TextAlign (self) -> ToolBarTextAlign: ...
    @TextAlign.setter
    def TextAlign (self, value : ToolBarTextAlign) -> None: ...
class ToolItem(Tool):
    @property
    def Command (self) -> ICommand: ...
    @Command.setter
    def Command (self, value : ICommand) -> None: ...
    @property
    def CommandParameter (self) -> Object: ...
    @CommandParameter.setter
    def CommandParameter (self, value : Object) -> None: ...
    def add_Click (self, value : EventHandler) -> None: ...
    def remove_Click (self, value : EventHandler) -> None: ...
    def OnClick (self, e : EventArgs) -> None: ...
    @property
    def Order (self) -> int: ...
    @Order.setter
    def Order (self, value : int) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    @property
    def Tag (self) -> Object: ...
    @Tag.setter
    def Tag (self, value : Object) -> None: ...
class ToolItemCollection:
    def Add (self, item : ToolItem) -> None: ...
    def Add (self, command : Command, order : int) -> None: ...
    def AddSeparator (self, order : int, type : SeparatorToolItemType) -> None: ...
    def AddRange (self, items : Iterable[ToolItem]) -> None: ...
    def AddRange (self, commands : Iterable[Command], order : int) -> None: ...
class TrayIndicator(Widget):
    def __init__(self): ...
    @property
    def Icon (self) -> Icon: ...
    @Icon.setter
    def Icon (self, value : Icon) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
    def Hide (self) -> None: ...
    def SetMenu (self, menu : ContextMenu) -> None: ...
    @property
    def Menu (self) -> ContextMenu: ...
    @Menu.setter
    def Menu (self, value : ContextMenu) -> None: ...
    def Show (self) -> None: ...
    def add_Activated (self, value : EventHandler) -> None: ...
    def remove_Activated (self, value : EventHandler) -> None: ...
class UITimer(Widget):
    def __init__(self): ...
    def __init__(self, elapsedHandler : EventHandler): ...
    def add_Elapsed (self, value : EventHandler) -> None: ...
    def remove_Elapsed (self, value : EventHandler) -> None: ...
    @property
    def Interval (self) -> float: ...
    @Interval.setter
    def Interval (self, value : float) -> None: ...
    @property
    def Started (self) -> bool: ...
    def Start (self) -> None: ...
    def Stop (self) -> None: ...
class WidgetExtensions:
    def With (widget : T, action : Action) -> T: ...
class WindowState:
    Normal = 0
    Maximized = 1
    Minimized = 2
class WindowStyle:
    Default = 0
    None = 1
class Window(Panel):
    def add_Closed (self, value : EventHandler) -> None: ...
    def remove_Closed (self, value : EventHandler) -> None: ...
    def add_Closing (self, value : EventHandler) -> None: ...
    def remove_Closing (self, value : EventHandler) -> None: ...
    def add_LocationChanged (self, value : EventHandler) -> None: ...
    def remove_LocationChanged (self, value : EventHandler) -> None: ...
    def add_OwnerChanged (self, value : EventHandler) -> None: ...
    def remove_OwnerChanged (self, value : EventHandler) -> None: ...
    def add_WindowStateChanged (self, value : EventHandler) -> None: ...
    def remove_WindowStateChanged (self, value : EventHandler) -> None: ...
    def add_LogicalPixelSizeChanged (self, value : EventHandler) -> None: ...
    def remove_LogicalPixelSizeChanged (self, value : EventHandler) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Location (self) -> Point: ...
    @Location.setter
    def Location (self, value : Point) -> None: ...
    @property
    def Bounds (self) -> Rectangle: ...
    @Bounds.setter
    def Bounds (self, value : Rectangle) -> None: ...
    @property
    def ToolBar (self) -> ToolBar: ...
    @ToolBar.setter
    def ToolBar (self, value : ToolBar) -> None: ...
    @property
    def Opacity (self) -> float: ...
    @Opacity.setter
    def Opacity (self, value : float) -> None: ...
    def Close (self) -> None: ...
    @property
    def Owner (self) -> Window: ...
    @Owner.setter
    def Owner (self, value : Window) -> None: ...
    @property
    def Screen (self) -> Screen: ...
    @property
    def Menu (self) -> MenuBar: ...
    @Menu.setter
    def Menu (self, value : MenuBar) -> None: ...
    @property
    def Icon (self) -> Icon: ...
    @Icon.setter
    def Icon (self, value : Icon) -> None: ...
    @property
    def Resizable (self) -> bool: ...
    @Resizable.setter
    def Resizable (self, value : bool) -> None: ...
    @property
    def Maximizable (self) -> bool: ...
    @Maximizable.setter
    def Maximizable (self, value : bool) -> None: ...
    @property
    def Minimizable (self) -> bool: ...
    @Minimizable.setter
    def Minimizable (self, value : bool) -> None: ...
    @property
    def ShowInTaskbar (self) -> bool: ...
    @ShowInTaskbar.setter
    def ShowInTaskbar (self, value : bool) -> None: ...
    @property
    def Topmost (self) -> bool: ...
    @Topmost.setter
    def Topmost (self, value : bool) -> None: ...
    @property
    def WindowState (self) -> WindowState: ...
    @WindowState.setter
    def WindowState (self, value : WindowState) -> None: ...
    @property
    def RestoreBounds (self) -> Rectangle: ...
    def Minimize (self) -> None: ...
    def Maximize (self) -> None: ...
    @property
    def WindowStyle (self) -> WindowStyle: ...
    @WindowStyle.setter
    def WindowStyle (self, value : WindowStyle) -> None: ...
    def BringToFront (self) -> None: ...
    def SendToBack (self) -> None: ...
    @property
    def LogicalPixelSize (self) -> Single: ...
class IHandler:
    @property
    def Copyright (self) -> str: ...
    @Copyright.setter
    def Copyright (self, value : str) -> None: ...
    @property
    def Designers (self) -> Set(str): ...
    @Designers.setter
    def Designers (self, value : Set(str)) -> None: ...
    @property
    def Developers (self) -> Set(str): ...
    @Developers.setter
    def Developers (self, value : Set(str)) -> None: ...
    @property
    def Documenters (self) -> Set(str): ...
    @Documenters.setter
    def Documenters (self, value : Set(str)) -> None: ...
    @property
    def License (self) -> str: ...
    @License.setter
    def License (self, value : str) -> None: ...
    @property
    def Logo (self) -> Image: ...
    @Logo.setter
    def Logo (self, value : Image) -> None: ...
    @property
    def ProgramDescription (self) -> str: ...
    @ProgramDescription.setter
    def ProgramDescription (self, value : str) -> None: ...
    @property
    def ProgramName (self) -> str: ...
    @ProgramName.setter
    def ProgramName (self, value : str) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Version (self) -> str: ...
    @Version.setter
    def Version (self, value : str) -> None: ...
    @property
    def Website (self) -> Uri: ...
    @Website.setter
    def Website (self, value : Uri) -> None: ...
    @property
    def WebsiteLabel (self) -> str: ...
    @WebsiteLabel.setter
    def WebsiteLabel (self, value : str) -> None: ...
class ICallback:
    def OnInitialized (self, widget : Application, e : EventArgs) -> None: ...
    def OnTerminating (self, widget : Application, e : CancelEventArgs) -> None: ...
    def OnUnhandledException (self, widget : Application, e : UnhandledExceptionEventArgs) -> None: ...
    def OnNotificationActivated (self, wiget : Application, e : NotificationEventArgs) -> None: ...
class IHandler:
    def Attach (self, context : Object) -> None: ...
    def Run (self) -> None: ...
    def Quit (self) -> None: ...
    @property
    def QuitIsSupported (self) -> bool: ...
    @property
    def CommonModifier (self) -> Keys: ...
    @property
    def AlternateModifier (self) -> Keys: ...
    def Open (self, url : str) -> None: ...
    def Invoke (self, action : Action) -> None: ...
    def AsyncInvoke (self, action : Action) -> None: ...
    @property
    def BadgeLabel (self) -> str: ...
    @BadgeLabel.setter
    def BadgeLabel (self, value : str) -> None: ...
    def OnMainFormChanged (self) -> None: ...
    def Restart (self) -> None: ...
    def RunIteration (self) -> None: ...
class IHandler:
class IHandler:
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
class IHandler:
class ICallback:
    def OnGetPreferredWidth (self, widget : CustomCell, args : CellEventArgs) -> Single: ...
    def OnGetIdentifier (self, widget : CustomCell, args : CellEventArgs) -> str: ...
    def OnConfigureCell (self, widget : CustomCell, args : CellEventArgs, control : Control) -> None: ...
    def OnCreateCell (self, widget : CustomCell, args : CellEventArgs) -> Control: ...
    def OnPaint (self, widget : CustomCell, args : CellPaintEventArgs) -> None: ...
class ICallback:
    def OnPaint (self, widget : DrawableCell, e : DrawableCellPaintEventArgs) -> None: ...
class IHandler:
class IHandler:
    @property
    def ImageInterpolation (self) -> ImageInterpolation: ...
    @ImageInterpolation.setter
    def ImageInterpolation (self, value : ImageInterpolation) -> None: ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def VerticalAlignment (self) -> VerticalAlignment: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def AutoSelectMode (self) -> AutoSelectMode: ...
    @AutoSelectMode.setter
    def AutoSelectMode (self, value : AutoSelectMode) -> None: ...
class IHandler:
    @property
    def ImageInterpolation (self) -> ImageInterpolation: ...
    @ImageInterpolation.setter
    def ImageInterpolation (self, value : ImageInterpolation) -> None: ...
class IHandler:
class IHandler:
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def VerticalAlignment (self) -> VerticalAlignment: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def AutoSelectMode (self) -> AutoSelectMode: ...
    @AutoSelectMode.setter
    def AutoSelectMode (self, value : AutoSelectMode) -> None: ...
class IHandler:
class ICallback:
    def OnColorChanged (self, widget : ColorDialog, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Color (self) -> Color: ...
    @Color.setter
    def Color (self, value : Color) -> None: ...
    @property
    def AllowAlpha (self) -> bool: ...
    @AllowAlpha.setter
    def AllowAlpha (self, value : bool) -> None: ...
    @property
    def SupportsAllowAlpha (self) -> bool: ...
class IHandler:
    def ShowDialog (self, parent : Window) -> DialogResult: ...
class IHandler:
    @property
    def ClientSize (self) -> Size: ...
    @ClientSize.setter
    def ClientSize (self, value : Size) -> None: ...
    @property
    def RecurseToChildren (self) -> bool: ...
class ICallback:
    def OnClick (self, widget : Button, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def ImagePosition (self) -> ButtonImagePosition: ...
    @ImagePosition.setter
    def ImagePosition (self, value : ButtonImagePosition) -> None: ...
    @property
    def MinimumSize (self) -> Size: ...
    @MinimumSize.setter
    def MinimumSize (self, value : Size) -> None: ...
class ICallback:
    def OnSelectedDateChanged (self, widget : Calendar, e : EventArgs) -> None: ...
    def OnSelectedRangeChanged (self, widget : Calendar, e : EventArgs) -> None: ...
class IHandler:
    @property
    def MinDate (self) -> DateTime: ...
    @MinDate.setter
    def MinDate (self, value : DateTime) -> None: ...
    @property
    def MaxDate (self) -> DateTime: ...
    @MaxDate.setter
    def MaxDate (self, value : DateTime) -> None: ...
    @property
    def SelectedRange (self) -> Range: ...
    @SelectedRange.setter
    def SelectedRange (self, value : Range) -> None: ...
    @property
    def SelectedDate (self) -> DateTime: ...
    @SelectedDate.setter
    def SelectedDate (self, value : DateTime) -> None: ...
    @property
    def Mode (self) -> CalendarMode: ...
    @Mode.setter
    def Mode (self, value : CalendarMode) -> None: ...
class ICallback:
    def OnCheckedChanged (self, widget : CheckBox, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Checked (self) -> Nullable: ...
    @Checked.setter
    def Checked (self, value : Nullable) -> None: ...
    @property
    def ThreeState (self) -> bool: ...
    @ThreeState.setter
    def ThreeState (self, value : bool) -> None: ...
class ICallback:
    def OnColorChanged (self, widget : ColorPicker, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Color (self) -> Color: ...
    @Color.setter
    def Color (self, value : Color) -> None: ...
    @property
    def AllowAlpha (self) -> bool: ...
    @AllowAlpha.setter
    def AllowAlpha (self, value : bool) -> None: ...
    @property
    def SupportsAllowAlpha (self) -> bool: ...
class ICallback:
    def OnTextChanged (self, widget : ComboBox, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def AutoComplete (self) -> bool: ...
    @AutoComplete.setter
    def AutoComplete (self, value : bool) -> None: ...
class IHandler:
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
class ICallback:
    def OnKeyDown (self, widget : Control, e : KeyEventArgs) -> None: ...
    def OnKeyUp (self, widget : Control, e : KeyEventArgs) -> None: ...
    def OnMouseDown (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnMouseUp (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnMouseMove (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnMouseLeave (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnMouseEnter (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnTextInput (self, widget : Control, e : TextInputEventArgs) -> None: ...
    def OnSizeChanged (self, widget : Control, e : EventArgs) -> None: ...
    def OnMouseDoubleClick (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnMouseWheel (self, widget : Control, e : MouseEventArgs) -> None: ...
    def OnGotFocus (self, widget : Control, e : EventArgs) -> None: ...
    def OnLostFocus (self, widget : Control, e : EventArgs) -> None: ...
    def OnShown (self, widget : Control, e : EventArgs) -> None: ...
    def OnDragDrop (self, widget : Control, e : DragEventArgs) -> None: ...
    def OnDragOver (self, widget : Control, e : DragEventArgs) -> None: ...
    def OnDragEnter (self, widget : Control, e : DragEventArgs) -> None: ...
    def OnDragLeave (self, widget : Control, e : DragEventArgs) -> None: ...
    def OnEnabledChanged (self, widget : Control, e : EventArgs) -> None: ...
class IHandler:
    @property
    def BackgroundColor (self) -> Color: ...
    @BackgroundColor.setter
    def BackgroundColor (self, value : Color) -> None: ...
    @property
    def Size (self) -> Size: ...
    @Size.setter
    def Size (self, value : Size) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
    def Invalidate (self, invalidateChildren : bool) -> None: ...
    def Invalidate (self, rect : Rectangle, invalidateChildren : bool) -> None: ...
    def SuspendLayout (self) -> None: ...
    def ResumeLayout (self) -> None: ...
    def Focus (self) -> None: ...
    @property
    def HasFocus (self) -> bool: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
    def OnPreLoad (self, e : EventArgs) -> None: ...
    def OnLoad (self, e : EventArgs) -> None: ...
    def OnLoadComplete (self, e : EventArgs) -> None: ...
    def OnUnLoad (self, e : EventArgs) -> None: ...
    def SetParent (self, oldParent : Container, newParent : Container) -> None: ...
    @property
    def SupportedPlatformCommands (self) -> Iterable[str]: ...
    def MapPlatformCommand (self, systemCommand : str, command : Command) -> None: ...
    def PointFromScreen (self, point : PointF) -> PointF: ...
    def PointToScreen (self, point : PointF) -> PointF: ...
    @property
    def Location (self) -> Point: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Cursor (self) -> Cursor: ...
    @Cursor.setter
    def Cursor (self, value : Cursor) -> None: ...
    @property
    def TabIndex (self) -> int: ...
    @TabIndex.setter
    def TabIndex (self, value : int) -> None: ...
    @property
    def VisualControls (self) -> Iterable[Control]: ...
    @property
    def AllowDrop (self) -> bool: ...
    @AllowDrop.setter
    def AllowDrop (self, value : bool) -> None: ...
    def DoDragDrop (self, data : DataObject, allowedEffects : DragEffects) -> None: ...
    def GetNativeParentWindow (self) -> Window: ...
class ICallback:
    def OnValueChanged (self, widget : DateTimePicker, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Value (self) -> Nullable: ...
    @Value.setter
    def Value (self, value : Nullable) -> None: ...
    @property
    def MinDate (self) -> DateTime: ...
    @MinDate.setter
    def MinDate (self, value : DateTime) -> None: ...
    @property
    def MaxDate (self) -> DateTime: ...
    @MaxDate.setter
    def MaxDate (self, value : DateTime) -> None: ...
    @property
    def Mode (self) -> DateTimePickerMode: ...
    @Mode.setter
    def Mode (self, value : DateTimePickerMode) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def ShowBorder (self) -> bool: ...
    @ShowBorder.setter
    def ShowBorder (self, value : bool) -> None: ...
class ICallback:
    def OnPageClosed (self, widget : DocumentControl, e : DocumentPageEventArgs) -> None: ...
    def OnSelectedIndexChanged (self, widget : DocumentControl, e : EventArgs) -> None: ...
    def OnPageReordered (self, widget : DocumentControl, e : DocumentPageReorderEventArgs) -> None: ...
class IHandler:
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    def InsertPage (self, index : int, page : DocumentPage) -> None: ...
    def GetPage (self, index : int) -> DocumentPage: ...
    def GetPageCount (self) -> int: ...
    def RemovePage (self, index : int) -> None: ...
    @property
    def AllowReordering (self) -> bool: ...
    @AllowReordering.setter
    def AllowReordering (self, value : bool) -> None: ...
class IHandler:
    @property
    def Closable (self) -> bool: ...
    @Closable.setter
    def Closable (self, value : bool) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
class ICallback:
    def OnPaint (self, widget : Drawable, e : PaintEventArgs) -> None: ...
class IHandler:
    @property
    def SupportsCreateGraphics (self) -> bool: ...
    def Create (self) -> None: ...
    def Create (self, largeCanvas : bool) -> None: ...
    def Update (self, region : Rectangle) -> None: ...
    @property
    def CanFocus (self) -> bool: ...
    @CanFocus.setter
    def CanFocus (self, value : bool) -> None: ...
    def CreateGraphics (self) -> Graphics: ...
class ICallback:
    def OnDropDownOpening (self, widget : DropDown, e : EventArgs) -> None: ...
    def OnDropDownClosed (self, widget : DropDown, e : EventArgs) -> None: ...
class IHandler:
    @property
    def ShowBorder (self) -> bool: ...
    @ShowBorder.setter
    def ShowBorder (self, value : bool) -> None: ...
class ICallback:
    def OnExpandedChanged (self, widget : Expander, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Expanded (self) -> bool: ...
    @Expanded.setter
    def Expanded (self, value : bool) -> None: ...
    @property
    def Header (self) -> Control: ...
    @Header.setter
    def Header (self, value : Control) -> None: ...
class IHandler:
    @property
    def FileAction (self) -> FileAction: ...
    @FileAction.setter
    def FileAction (self, value : FileAction) -> None: ...
    @property
    def FilePath (self) -> str: ...
    @FilePath.setter
    def FilePath (self, value : str) -> None: ...
    @property
    def CurrentFilterIndex (self) -> int: ...
    @CurrentFilterIndex.setter
    def CurrentFilterIndex (self, value : int) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    def ClearFilters (self) -> None: ...
    def InsertFilter (self, index : int, filter : FileFilter) -> None: ...
    def RemoveFilter (self, index : int) -> None: ...
class ICallback:
    def OnFilePathChanged (self, widget : FilePicker, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Value (self) -> Font: ...
    @Value.setter
    def Value (self, value : Font) -> None: ...
class ICallback:
    def OnValueChanged (self, widget : FontPicker, e : EventArgs) -> None: ...
class ICallback:
    def OnCellEditing (self, widget : Grid, e : GridViewCellEventArgs) -> None: ...
    def OnCellEdited (self, widget : Grid, e : GridViewCellEventArgs) -> None: ...
    def OnCellClick (self, widget : Grid, e : GridCellMouseEventArgs) -> None: ...
    def OnCellDoubleClick (self, widget : Grid, e : GridCellMouseEventArgs) -> None: ...
    def OnSelectionChanged (self, widget : Grid, e : EventArgs) -> None: ...
    def OnColumnHeaderClick (self, widget : Grid, e : GridColumnEventArgs) -> None: ...
    def OnCellFormatting (self, widget : Grid, e : GridCellFormatEventArgs) -> None: ...
class IHandler:
    @property
    def ShowHeader (self) -> bool: ...
    @ShowHeader.setter
    def ShowHeader (self, value : bool) -> None: ...
    @property
    def RowHeight (self) -> int: ...
    @RowHeight.setter
    def RowHeight (self, value : int) -> None: ...
    @property
    def AllowColumnReordering (self) -> bool: ...
    @AllowColumnReordering.setter
    def AllowColumnReordering (self, value : bool) -> None: ...
    @property
    def AllowMultipleSelection (self) -> bool: ...
    @AllowMultipleSelection.setter
    def AllowMultipleSelection (self, value : bool) -> None: ...
    @property
    def SelectedRows (self) -> Iterable[int]: ...
    @SelectedRows.setter
    def SelectedRows (self, value : Iterable[int]) -> None: ...
    @property
    def GridLines (self) -> GridLines: ...
    @GridLines.setter
    def GridLines (self, value : GridLines) -> None: ...
    @property
    def Border (self) -> BorderType: ...
    @Border.setter
    def Border (self, value : BorderType) -> None: ...
    def SelectRow (self, row : int) -> None: ...
    def UnselectRow (self, row : int) -> None: ...
    def SelectAll (self) -> None: ...
    def UnselectAll (self) -> None: ...
    def BeginEdit (self, row : int, column : int) -> None: ...
    def CommitEdit (self) -> bool: ...
    def CancelEdit (self) -> bool: ...
    @property
    def IsEditing (self) -> bool: ...
    def ScrollToRow (self, row : int) -> None: ...
class IHandler:
    @property
    def HeaderText (self) -> str: ...
    @HeaderText.setter
    def HeaderText (self, value : str) -> None: ...
    @property
    def Resizable (self) -> bool: ...
    @Resizable.setter
    def Resizable (self, value : bool) -> None: ...
    @property
    def Sortable (self) -> bool: ...
    @Sortable.setter
    def Sortable (self, value : bool) -> None: ...
    @property
    def AutoSize (self) -> bool: ...
    @AutoSize.setter
    def AutoSize (self, value : bool) -> None: ...
    @property
    def Width (self) -> int: ...
    @Width.setter
    def Width (self, value : int) -> None: ...
    @property
    def DataCell (self) -> Cell: ...
    @DataCell.setter
    def DataCell (self, value : Cell) -> None: ...
    @property
    def Editable (self) -> bool: ...
    @Editable.setter
    def Editable (self, value : bool) -> None: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
class IHandler:
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
    @property
    def SelectedItems (self) -> Iterable[Object]: ...
    def ReloadData (self, rows : Iterable[int]) -> None: ...
    def GetCellAt (self, location : PointF) -> Tuple[Object, int, int]: ...
    def GetDragInfo (self, args : DragEventArgs) -> GridViewDragInfo: ...
class IHandler:
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
class IHandler:
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class IHandler:
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def VerticalAlignment (self) -> VerticalAlignment: ...
    @VerticalAlignment.setter
    def VerticalAlignment (self, value : VerticalAlignment) -> None: ...
    @property
    def Wrap (self) -> WrapMode: ...
    @Wrap.setter
    def Wrap (self, value : WrapMode) -> None: ...
class ICallback:
    def OnClick (self, widget : LinkButton, e : EventArgs) -> None: ...
class IHandler:
    @property
    def DisabledTextColor (self) -> Color: ...
    @DisabledTextColor.setter
    def DisabledTextColor (self, value : Color) -> None: ...
class ICallback:
    def OnActivated (self, widget : ListBox, e : EventArgs) -> None: ...
class IHandler:
class ICallback:
    def OnSelectedIndexChanged (self, widget : ListControl, e : EventArgs) -> None: ...
class IHandler:
    @property
    def DataStore (self) -> Iterable[Object]: ...
    @DataStore.setter
    def DataStore (self, value : Iterable[Object]) -> None: ...
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def ItemTextBinding (self) -> IIndirectBinding: ...
    @ItemTextBinding.setter
    def ItemTextBinding (self, value : IIndirectBinding) -> None: ...
    @property
    def ItemKeyBinding (self) -> IIndirectBinding: ...
    @ItemKeyBinding.setter
    def ItemKeyBinding (self, value : IIndirectBinding) -> None: ...
class ICallback:
    def OnItemShown (self, widget : Navigation, e : NavigationItemEventArgs) -> None: ...
    def OnItemRemoved (self, widget : Navigation, e : NavigationItemEventArgs) -> None: ...
class IHandler:
    def Push (self, item : INavigationItem) -> None: ...
    def Pop (self) -> None: ...
class ICallback:
    def OnValueChanged (self, widget : NumericStepper, e : EventArgs) -> None: ...
class IHandler:
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def Value (self) -> float: ...
    @Value.setter
    def Value (self, value : float) -> None: ...
    @property
    def MinValue (self) -> float: ...
    @MinValue.setter
    def MinValue (self, value : float) -> None: ...
    @property
    def MaxValue (self) -> float: ...
    @MaxValue.setter
    def MaxValue (self, value : float) -> None: ...
    @property
    def DecimalPlaces (self) -> int: ...
    @DecimalPlaces.setter
    def DecimalPlaces (self, value : int) -> None: ...
    @property
    def Increment (self) -> float: ...
    @Increment.setter
    def Increment (self, value : float) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
    @property
    def MaximumDecimalPlaces (self) -> int: ...
    @MaximumDecimalPlaces.setter
    def MaximumDecimalPlaces (self, value : int) -> None: ...
    @property
    def FormatString (self) -> str: ...
    @FormatString.setter
    def FormatString (self, value : str) -> None: ...
    @property
    def CultureInfo (self) -> CultureInfo: ...
    @CultureInfo.setter
    def CultureInfo (self, value : CultureInfo) -> None: ...
class IHandler:
    @property
    def Content (self) -> Control: ...
    @Content.setter
    def Content (self, value : Control) -> None: ...
    @property
    def Padding (self) -> Padding: ...
    @Padding.setter
    def Padding (self, value : Padding) -> None: ...
    @property
    def MinimumSize (self) -> Size: ...
    @MinimumSize.setter
    def MinimumSize (self, value : Size) -> None: ...
class IHandler:
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def MaxLength (self) -> int: ...
    @MaxLength.setter
    def MaxLength (self, value : int) -> None: ...
    @property
    def PasswordChar (self) -> Char: ...
    @PasswordChar.setter
    def PasswordChar (self, value : Char) -> None: ...
class IHandler:
    @property
    def MaxValue (self) -> int: ...
    @MaxValue.setter
    def MaxValue (self, value : int) -> None: ...
    @property
    def MinValue (self) -> int: ...
    @MinValue.setter
    def MinValue (self, value : int) -> None: ...
    @property
    def Value (self) -> int: ...
    @Value.setter
    def Value (self, value : int) -> None: ...
    @property
    def Indeterminate (self) -> bool: ...
    @Indeterminate.setter
    def Indeterminate (self, value : bool) -> None: ...
class ICallback:
    def OnClick (self, widget : RadioButton, e : EventArgs) -> None: ...
    def OnCheckedChanged (self, widget : RadioButton, e : EventArgs) -> None: ...
class IHandler:
    def Create (self, controller : RadioButton) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class IHandler:
    @property
    def SelectionBold (self) -> bool: ...
    @SelectionBold.setter
    def SelectionBold (self, value : bool) -> None: ...
    @property
    def SelectionItalic (self) -> bool: ...
    @SelectionItalic.setter
    def SelectionItalic (self, value : bool) -> None: ...
    @property
    def SelectionUnderline (self) -> bool: ...
    @SelectionUnderline.setter
    def SelectionUnderline (self, value : bool) -> None: ...
    @property
    def SelectionStrikethrough (self) -> bool: ...
    @SelectionStrikethrough.setter
    def SelectionStrikethrough (self, value : bool) -> None: ...
    @property
    def SelectionFont (self) -> Font: ...
    @SelectionFont.setter
    def SelectionFont (self, value : Font) -> None: ...
    @property
    def SelectionForeground (self) -> Color: ...
    @SelectionForeground.setter
    def SelectionForeground (self, value : Color) -> None: ...
    @property
    def SelectionBackground (self) -> Color: ...
    @SelectionBackground.setter
    def SelectionBackground (self, value : Color) -> None: ...
    @property
    def Buffer (self) -> ITextBuffer: ...
    @property
    def SelectionFamily (self) -> FontFamily: ...
    @SelectionFamily.setter
    def SelectionFamily (self, value : FontFamily) -> None: ...
    @property
    def SelectionTypeface (self) -> FontTypeface: ...
    @SelectionTypeface.setter
    def SelectionTypeface (self, value : FontTypeface) -> None: ...
class ICallback:
    def OnScroll (self, widget : Scrollable, e : ScrollEventArgs) -> None: ...
class IHandler:
    def UpdateScrollSizes (self) -> None: ...
    @property
    def ScrollPosition (self) -> Point: ...
    @ScrollPosition.setter
    def ScrollPosition (self, value : Point) -> None: ...
    @property
    def ScrollSize (self) -> Size: ...
    @ScrollSize.setter
    def ScrollSize (self, value : Size) -> None: ...
    @property
    def Border (self) -> BorderType: ...
    @Border.setter
    def Border (self, value : BorderType) -> None: ...
    @property
    def VisibleRect (self) -> Rectangle: ...
    @property
    def ExpandContentWidth (self) -> bool: ...
    @ExpandContentWidth.setter
    def ExpandContentWidth (self, value : bool) -> None: ...
    @property
    def ExpandContentHeight (self) -> bool: ...
    @ExpandContentHeight.setter
    def ExpandContentHeight (self, value : bool) -> None: ...
    @property
    def MinimumZoom (self) -> Single: ...
    @MinimumZoom.setter
    def MinimumZoom (self, value : Single) -> None: ...
    @property
    def MaximumZoom (self) -> Single: ...
    @MaximumZoom.setter
    def MaximumZoom (self, value : Single) -> None: ...
    @property
    def Zoom (self) -> Single: ...
    @Zoom.setter
    def Zoom (self, value : Single) -> None: ...
class IHandler:
class ICallback:
    def OnValueChanged (self, widget : Slider, e : EventArgs) -> None: ...
class IHandler:
    @property
    def MaxValue (self) -> int: ...
    @MaxValue.setter
    def MaxValue (self, value : int) -> None: ...
    @property
    def MinValue (self) -> int: ...
    @MinValue.setter
    def MinValue (self, value : int) -> None: ...
    @property
    def Value (self) -> int: ...
    @Value.setter
    def Value (self, value : int) -> None: ...
    @property
    def TickFrequency (self) -> int: ...
    @TickFrequency.setter
    def TickFrequency (self, value : int) -> None: ...
    @property
    def SnapToTick (self) -> bool: ...
    @SnapToTick.setter
    def SnapToTick (self, value : bool) -> None: ...
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
class IHandler:
class ICallback:
    def OnPositionChanged (self, widget : Splitter, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Orientation (self) -> Orientation: ...
    @Orientation.setter
    def Orientation (self, value : Orientation) -> None: ...
    @property
    def FixedPanel (self) -> SplitterFixedPanel: ...
    @FixedPanel.setter
    def FixedPanel (self, value : SplitterFixedPanel) -> None: ...
    @property
    def Position (self) -> int: ...
    @Position.setter
    def Position (self, value : int) -> None: ...
    @property
    def RelativePosition (self) -> float: ...
    @RelativePosition.setter
    def RelativePosition (self, value : float) -> None: ...
    @property
    def SplitterWidth (self) -> int: ...
    @SplitterWidth.setter
    def SplitterWidth (self, value : int) -> None: ...
    @property
    def Panel1 (self) -> Control: ...
    @Panel1.setter
    def Panel1 (self, value : Control) -> None: ...
    @property
    def Panel2 (self) -> Control: ...
    @Panel2.setter
    def Panel2 (self, value : Control) -> None: ...
    @property
    def Panel1MinimumSize (self) -> int: ...
    @Panel1MinimumSize.setter
    def Panel1MinimumSize (self, value : int) -> None: ...
    @property
    def Panel2MinimumSize (self) -> int: ...
    @Panel2MinimumSize.setter
    def Panel2MinimumSize (self, value : int) -> None: ...
class ICallback:
    def OnStep (self, widget : Stepper, e : StepperEventArgs) -> None: ...
class IHandler:
    @property
    def ValidDirection (self) -> StepperValidDirections: ...
    @ValidDirection.setter
    def ValidDirection (self, value : StepperValidDirections) -> None: ...
class ICallback:
    def OnSelectedIndexChanged (self, widget : TabControl, e : EventArgs) -> None: ...
class IHandler:
    @property
    def SelectedIndex (self) -> int: ...
    @SelectedIndex.setter
    def SelectedIndex (self, value : int) -> None: ...
    def InsertTab (self, index : int, page : TabPage) -> None: ...
    def ClearTabs (self) -> None: ...
    def RemoveTab (self, index : int, page : TabPage) -> None: ...
    @property
    def TabPosition (self) -> DockPosition: ...
    @TabPosition.setter
    def TabPosition (self, value : DockPosition) -> None: ...
class IHandler:
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class ICallback:
    def OnSelectionChanged (self, widget : TextArea, e : EventArgs) -> None: ...
    def OnCaretIndexChanged (self, widget : TextArea, e : EventArgs) -> None: ...
class IHandler:
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def Wrap (self) -> bool: ...
    @Wrap.setter
    def Wrap (self, value : bool) -> None: ...
    def Append (self, text : str, scrollToCursor : bool) -> None: ...
    @property
    def SelectedText (self) -> str: ...
    @SelectedText.setter
    def SelectedText (self, value : str) -> None: ...
    @property
    def Selection (self) -> Range: ...
    @Selection.setter
    def Selection (self, value : Range) -> None: ...
    def SelectAll (self) -> None: ...
    @property
    def CaretIndex (self) -> int: ...
    @CaretIndex.setter
    def CaretIndex (self, value : int) -> None: ...
    @property
    def AcceptsTab (self) -> bool: ...
    @AcceptsTab.setter
    def AcceptsTab (self, value : bool) -> None: ...
    @property
    def AcceptsReturn (self) -> bool: ...
    @AcceptsReturn.setter
    def AcceptsReturn (self, value : bool) -> None: ...
    @property
    def TextReplacements (self) -> TextReplacements: ...
    @TextReplacements.setter
    def TextReplacements (self, value : TextReplacements) -> None: ...
    @property
    def SupportedTextReplacements (self) -> TextReplacements: ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def SpellCheck (self) -> bool: ...
    @SpellCheck.setter
    def SpellCheck (self, value : bool) -> None: ...
    @property
    def SpellCheckIsSupported (self) -> bool: ...
class IHandler:
    @property
    def ReadOnly (self) -> bool: ...
    @ReadOnly.setter
    def ReadOnly (self, value : bool) -> None: ...
    @property
    def MaxLength (self) -> int: ...
    @MaxLength.setter
    def MaxLength (self, value : int) -> None: ...
    def SelectAll (self) -> None: ...
    @property
    def PlaceholderText (self) -> str: ...
    @PlaceholderText.setter
    def PlaceholderText (self, value : str) -> None: ...
    @property
    def CaretIndex (self) -> int: ...
    @CaretIndex.setter
    def CaretIndex (self, value : int) -> None: ...
    @property
    def Selection (self) -> Range: ...
    @Selection.setter
    def Selection (self, value : Range) -> None: ...
    @property
    def ShowBorder (self) -> bool: ...
    @ShowBorder.setter
    def ShowBorder (self, value : bool) -> None: ...
    @property
    def TextAlignment (self) -> TextAlignment: ...
    @TextAlignment.setter
    def TextAlignment (self, value : TextAlignment) -> None: ...
    @property
    def AutoSelectMode (self) -> AutoSelectMode: ...
    @AutoSelectMode.setter
    def AutoSelectMode (self, value : AutoSelectMode) -> None: ...
class ICallback:
    def OnTextChanging (self, widget : TextBox, e : TextChangingEventArgs) -> None: ...
class ICallback:
    def OnTextChanged (self, widget : TextControl, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
class ICallback:
    def OnStep (self, widget : TextStepper, e : StepperEventArgs) -> None: ...
class IHandler:
    @property
    def ValidDirection (self) -> StepperValidDirections: ...
    @ValidDirection.setter
    def ValidDirection (self, value : StepperValidDirections) -> None: ...
    @property
    def ShowStepper (self) -> bool: ...
    @ShowStepper.setter
    def ShowStepper (self, value : bool) -> None: ...
class ICallback:
    def OnActivated (self, widget : TreeGridView, e : TreeGridViewItemEventArgs) -> None: ...
    def OnExpanding (self, widget : TreeGridView, e : TreeGridViewItemCancelEventArgs) -> None: ...
    def OnExpanded (self, widget : TreeGridView, e : TreeGridViewItemEventArgs) -> None: ...
    def OnCollapsing (self, widget : TreeGridView, e : TreeGridViewItemCancelEventArgs) -> None: ...
    def OnCollapsed (self, widget : TreeGridView, e : TreeGridViewItemEventArgs) -> None: ...
    def OnSelectedItemChanged (self, widget : TreeGridView, e : EventArgs) -> None: ...
class IHandler:
    @property
    def DataStore (self) -> ITreeGridStore: ...
    @DataStore.setter
    def DataStore (self, value : ITreeGridStore) -> None: ...
    @property
    def SelectedItem (self) -> ITreeGridItem: ...
    @SelectedItem.setter
    def SelectedItem (self, value : ITreeGridItem) -> None: ...
    @property
    def SelectedItems (self) -> Iterable[Object]: ...
    def ReloadData (self) -> None: ...
    def ReloadItem (self, item : ITreeGridItem, reloadChildren : bool) -> None: ...
    def GetCellAt (self, location : PointF) -> Tuple[ITreeGridItem, int]: ...
    def GetDragInfo (self, args : DragEventArgs) -> TreeGridViewDragInfo: ...
class ICallback:
    def OnActivated (self, widget : TreeView, e : TreeViewItemEventArgs) -> None: ...
    def OnSelectionChanged (self, widget : TreeView, e : EventArgs) -> None: ...
    def OnExpanding (self, widget : TreeView, e : TreeViewItemCancelEventArgs) -> None: ...
    def OnExpanded (self, widget : TreeView, e : TreeViewItemEventArgs) -> None: ...
    def OnCollapsing (self, widget : TreeView, e : TreeViewItemCancelEventArgs) -> None: ...
    def OnCollapsed (self, widget : TreeView, e : TreeViewItemEventArgs) -> None: ...
    def OnLabelEdited (self, widget : TreeView, e : TreeViewItemEditEventArgs) -> None: ...
    def OnLabelEditing (self, widget : TreeView, e : TreeViewItemCancelEventArgs) -> None: ...
    def OnNodeMouseClick (self, widget : TreeView, e : TreeViewItemEventArgs) -> None: ...
class IHandler:
    @property
    def DataStore (self) -> ITreeStore: ...
    @DataStore.setter
    def DataStore (self, value : ITreeStore) -> None: ...
    @property
    def SelectedItem (self) -> ITreeItem: ...
    @SelectedItem.setter
    def SelectedItem (self, value : ITreeItem) -> None: ...
    def RefreshData (self) -> None: ...
    def RefreshItem (self, item : ITreeItem) -> None: ...
    def GetNodeAt (self, point : PointF) -> ITreeItem: ...
    @property
    def LabelEdit (self) -> bool: ...
    @LabelEdit.setter
    def LabelEdit (self, value : bool) -> None: ...
    @property
    def TextColor (self) -> Color: ...
    @TextColor.setter
    def TextColor (self, value : Color) -> None: ...
class ICallback:
    def OnNavigated (self, widget : WebView, e : WebViewLoadedEventArgs) -> None: ...
    def OnDocumentLoaded (self, widget : WebView, e : WebViewLoadedEventArgs) -> None: ...
    def OnDocumentLoading (self, widget : WebView, e : WebViewLoadingEventArgs) -> None: ...
    def OnOpenNewWindow (self, widget : WebView, e : WebViewNewWindowEventArgs) -> None: ...
    def OnDocumentTitleChanged (self, widget : WebView, e : WebViewTitleEventArgs) -> None: ...
class IHandler:
    @property
    def Url (self) -> Uri: ...
    @Url.setter
    def Url (self, value : Uri) -> None: ...
    def LoadHtml (self, html : str, baseUri : Uri) -> None: ...
    def GoBack (self) -> None: ...
    @property
    def CanGoBack (self) -> bool: ...
    def GoForward (self) -> None: ...
    @property
    def CanGoForward (self) -> bool: ...
    def Stop (self) -> None: ...
    def Reload (self) -> None: ...
    @property
    def DocumentTitle (self) -> str: ...
    def ExecuteScript (self, script : str) -> str: ...
    def ShowPrintDialog (self) -> None: ...
    @property
    def BrowserContextMenuEnabled (self) -> bool: ...
    @BrowserContextMenuEnabled.setter
    def BrowserContextMenuEnabled (self, value : bool) -> None: ...
class IHandler:
    def Create (self, type : CursorType) -> None: ...
class IHandler:
class IHandler:
    @property
    def DisplayMode (self) -> DialogDisplayMode: ...
    @DisplayMode.setter
    def DisplayMode (self, value : DialogDisplayMode) -> None: ...
    def ShowModal (self) -> None: ...
    def ShowModalAsync (self) -> Task: ...
    @property
    def DefaultButton (self) -> Button: ...
    @DefaultButton.setter
    def DefaultButton (self, value : Button) -> None: ...
    @property
    def AbortButton (self) -> Button: ...
    @AbortButton.setter
    def AbortButton (self, value : Button) -> None: ...
    def InsertDialogButton (self, positive : bool, index : int, item : Button) -> None: ...
    def RemoveDialogButton (self, positive : bool, index : int, item : Button) -> None: ...
class IHandler:
    @property
    def FileName (self) -> str: ...
    @FileName.setter
    def FileName (self, value : str) -> None: ...
    @property
    def CurrentFilterIndex (self) -> int: ...
    @CurrentFilterIndex.setter
    def CurrentFilterIndex (self, value : int) -> None: ...
    @property
    def CheckFileExists (self) -> bool: ...
    @CheckFileExists.setter
    def CheckFileExists (self, value : bool) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Directory (self) -> Uri: ...
    @Directory.setter
    def Directory (self, value : Uri) -> None: ...
    def InsertFilter (self, index : int, filter : FileFilter) -> None: ...
    def RemoveFilter (self, index : int) -> None: ...
    def ClearFilters (self) -> None: ...
class ICallback:
    def OnFontChanged (self, widget : FontDialog, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Font (self) -> Font: ...
    @Font.setter
    def Font (self, value : Font) -> None: ...
class IHandler:
    def Show (self) -> None: ...
    @property
    def ShowActivated (self) -> bool: ...
    @ShowActivated.setter
    def ShowActivated (self, value : bool) -> None: ...
    @property
    def CanFocus (self) -> bool: ...
    @CanFocus.setter
    def CanFocus (self, value : bool) -> None: ...
class IHandler:
    @property
    def SupportedLockKeys (self) -> Iterable[Keys]: ...
    def IsKeyLocked (self, key : Keys) -> bool: ...
    @property
    def Modifiers (self) -> Keys: ...
class IHandler:
    def Update (self) -> None: ...
class IPositionalLayoutHandler:
    def Add (self, control : Control, x : int, y : int) -> None: ...
    def Move (self, control : Control, x : int, y : int) -> None: ...
    def Remove (self, control : Control) -> None: ...
class IHandler:
class IHandler:
    def CreateControl (self, columns : int, rows : int) -> None: ...
    def GetColumnScale (self, column : int) -> bool: ...
    def SetColumnScale (self, column : int, scale : bool) -> None: ...
    def GetRowScale (self, row : int) -> bool: ...
    def SetRowScale (self, row : int, scale : bool) -> None: ...
    @property
    def Spacing (self) -> Size: ...
    @Spacing.setter
    def Spacing (self, value : Size) -> None: ...
    @property
    def Padding (self) -> Padding: ...
    @Padding.setter
    def Padding (self, value : Padding) -> None: ...
class IHandler:
    def Create (self, mask : str, culture : CultureInfo, allowPromptAsInput : bool, restrictToAscii : bool) -> None: ...
    @property
    def Culture (self) -> CultureInfo: ...
    @property
    def Mask (self) -> str: ...
    @property
    def AllowPromptAsInput (self) -> bool: ...
    @property
    def AsciiOnly (self) -> bool: ...
    @property
    def IsPassword (self) -> bool: ...
    @IsPassword.setter
    def IsPassword (self, value : bool) -> None: ...
    @property
    def PromptChar (self) -> Char: ...
    @PromptChar.setter
    def PromptChar (self, value : Char) -> None: ...
    @property
    def PasswordChar (self) -> Char: ...
    @PasswordChar.setter
    def PasswordChar (self, value : Char) -> None: ...
    @property
    def IncludeLiterals (self) -> bool: ...
    @IncludeLiterals.setter
    def IncludeLiterals (self, value : bool) -> None: ...
    @property
    def IncludePrompt (self) -> bool: ...
    @IncludePrompt.setter
    def IncludePrompt (self, value : bool) -> None: ...
    @property
    def SkipLiterals (self) -> bool: ...
    @SkipLiterals.setter
    def SkipLiterals (self, value : bool) -> None: ...
    @property
    def AutoAdvance (self) -> bool: ...
    @AutoAdvance.setter
    def AutoAdvance (self, value : bool) -> None: ...
    @property
    def MaskFull (self) -> bool: ...
class IHandler:
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
class ICallback:
    def OnCheckedChanged (self, widget : CheckMenuItem, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class ICallback:
    def OnOpening (self, widget : ContextMenu, e : EventArgs) -> None: ...
    def OnClosed (self, widget : ContextMenu, e : EventArgs) -> None: ...
    def OnClosing (self, widget : ContextMenu, e : EventArgs) -> None: ...
class IHandler:
    def Show (self, relativeTo : Control, location : Nullable) -> None: ...
class ISubmenuHandler:
    def AddMenu (self, index : int, item : MenuItem) -> None: ...
    def RemoveMenu (self, item : MenuItem) -> None: ...
    def Clear (self) -> None: ...
class IHandler:
    @property
    def ApplicationMenu (self) -> ButtonMenuItem: ...
    @property
    def HelpMenu (self) -> ButtonMenuItem: ...
    def SetQuitItem (self, item : MenuItem) -> None: ...
    def SetAboutItem (self, item : MenuItem) -> None: ...
    def CreateSystemMenu (self) -> None: ...
    def CreateLegacySystemMenu (self) -> None: ...
    def GetSystemCommands (self) -> Iterable[Command]: ...
class ICallback:
    def OnClick (self, widget : MenuItem, e : EventArgs) -> None: ...
    def OnValidate (self, widget : MenuItem, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Shortcut (self) -> Keys: ...
    @Shortcut.setter
    def Shortcut (self, value : Keys) -> None: ...
    def CreateFromCommand (self, command : Command) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
class ICallback:
    def OnCheckedChanged (self, widget : RadioMenuItem, e : EventArgs) -> None: ...
class IHandler:
    def Create (self, controller : RadioMenuItem) -> None: ...
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class IHandler:
class IHandler:
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def Caption (self) -> str: ...
    @Caption.setter
    def Caption (self, value : str) -> None: ...
    @property
    def Type (self) -> MessageBoxType: ...
    @Type.setter
    def Type (self, value : MessageBoxType) -> None: ...
    @property
    def Buttons (self) -> MessageBoxButtons: ...
    @Buttons.setter
    def Buttons (self, value : MessageBoxButtons) -> None: ...
    @property
    def DefaultButton (self) -> MessageBoxDefaultButton: ...
    @DefaultButton.setter
    def DefaultButton (self, value : MessageBoxDefaultButton) -> None: ...
    def ShowDialog (self, parent : Control) -> DialogResult: ...
class IHandler:
    @property
    def Position (self) -> PointF: ...
    @Position.setter
    def Position (self, value : PointF) -> None: ...
    @property
    def Buttons (self) -> MouseButtons: ...
class IHandler:
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def UserData (self) -> str: ...
    @UserData.setter
    def UserData (self, value : str) -> None: ...
    @property
    def Message (self) -> str: ...
    @Message.setter
    def Message (self, value : str) -> None: ...
    @property
    def RequiresTrayIndicator (self) -> bool: ...
    @property
    def ContentImage (self) -> Image: ...
    @ContentImage.setter
    def ContentImage (self, value : Image) -> None: ...
    def Show (self, indicator : TrayIndicator) -> None: ...
class IHandler:
    @property
    def MultiSelect (self) -> bool: ...
    @MultiSelect.setter
    def MultiSelect (self, value : bool) -> None: ...
    @property
    def Filenames (self) -> Iterable[str]: ...
class IHandler:
    @property
    def FilePath (self) -> str: ...
    @FilePath.setter
    def FilePath (self, value : str) -> None: ...
class IHandler:
    @property
    def PrintableArea (self) -> RectangleF: ...
class IHandler:
    @property
    def Document (self) -> PrintDocument: ...
    @Document.setter
    def Document (self, value : PrintDocument) -> None: ...
    @property
    def PrintSettings (self) -> PrintSettings: ...
    @PrintSettings.setter
    def PrintSettings (self, value : PrintSettings) -> None: ...
    @property
    def AllowPageRange (self) -> bool: ...
    @AllowPageRange.setter
    def AllowPageRange (self, value : bool) -> None: ...
    @property
    def AllowSelection (self) -> bool: ...
    @AllowSelection.setter
    def AllowSelection (self, value : bool) -> None: ...
class ICallback:
    def OnPrinting (self, widget : PrintDocument, e : EventArgs) -> None: ...
    def OnPrinted (self, widget : PrintDocument, e : EventArgs) -> None: ...
    def OnPrintPage (self, widget : PrintDocument, e : PrintPageEventArgs) -> None: ...
class IHandler:
    def Print (self) -> None: ...
    @property
    def Name (self) -> str: ...
    @Name.setter
    def Name (self, value : str) -> None: ...
    @property
    def PrintSettings (self) -> PrintSettings: ...
    @PrintSettings.setter
    def PrintSettings (self, value : PrintSettings) -> None: ...
    @property
    def PageCount (self) -> int: ...
    @PageCount.setter
    def PageCount (self, value : int) -> None: ...
class IHandler:
    @property
    def Copies (self) -> int: ...
    @Copies.setter
    def Copies (self, value : int) -> None: ...
    @property
    def MaximumPageRange (self) -> Range: ...
    @MaximumPageRange.setter
    def MaximumPageRange (self, value : Range) -> None: ...
    @property
    def SelectedPageRange (self) -> Range: ...
    @SelectedPageRange.setter
    def SelectedPageRange (self, value : Range) -> None: ...
    @property
    def PrintSelection (self) -> PrintSelection: ...
    @PrintSelection.setter
    def PrintSelection (self, value : PrintSelection) -> None: ...
    @property
    def Orientation (self) -> PageOrientation: ...
    @Orientation.setter
    def Orientation (self, value : PageOrientation) -> None: ...
    @property
    def Collate (self) -> bool: ...
    @Collate.setter
    def Collate (self, value : bool) -> None: ...
    @property
    def Reverse (self) -> bool: ...
    @Reverse.setter
    def Reverse (self, value : bool) -> None: ...
class IHandler:
class IHandler:
    @property
    def Scale (self) -> Single: ...
    @property
    def RealScale (self) -> Single: ...
    @property
    def BitsPerPixel (self) -> int: ...
    @property
    def Bounds (self) -> RectangleF: ...
    @property
    def WorkingArea (self) -> RectangleF: ...
    @property
    def IsPrimary (self) -> bool: ...
class IScreensHandler:
    @property
    def Screens (self) -> Iterable[Screen]: ...
    @property
    def PrimaryScreen (self) -> Screen: ...
class IHandler:
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Directory (self) -> str: ...
    @Directory.setter
    def Directory (self, value : str) -> None: ...
class IHandler:
class IHandler:
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class IHandler:
    @property
    def Checked (self) -> bool: ...
    @Checked.setter
    def Checked (self, value : bool) -> None: ...
class IHandler:
    @property
    def Type (self) -> SeparatorToolItemType: ...
    @Type.setter
    def Type (self, value : SeparatorToolItemType) -> None: ...
class IHandler:
    def OnLoad (self, e : EventArgs) -> None: ...
    def OnPreLoad (self, e : EventArgs) -> None: ...
    def OnUnLoad (self, e : EventArgs) -> None: ...
class IHandler:
    def AddButton (self, button : ToolItem, index : int) -> None: ...
    def RemoveButton (self, button : ToolItem) -> None: ...
    def Clear (self) -> None: ...
    @property
    def TextAlign (self) -> ToolBarTextAlign: ...
    @TextAlign.setter
    def TextAlign (self, value : ToolBarTextAlign) -> None: ...
    @property
    def Dock (self) -> ToolBarDock: ...
    @Dock.setter
    def Dock (self, value : ToolBarDock) -> None: ...
class IHandler:
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    def CreateFromCommand (self, command : Command) -> None: ...
    @property
    def Text (self) -> str: ...
    @Text.setter
    def Text (self, value : str) -> None: ...
    @property
    def ToolTip (self) -> str: ...
    @ToolTip.setter
    def ToolTip (self, value : str) -> None: ...
    @property
    def Enabled (self) -> bool: ...
    @Enabled.setter
    def Enabled (self, value : bool) -> None: ...
class IHandler:
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Visible (self) -> bool: ...
    @Visible.setter
    def Visible (self, value : bool) -> None: ...
    @property
    def Image (self) -> Image: ...
    @Image.setter
    def Image (self, value : Image) -> None: ...
    @property
    def Menu (self) -> ContextMenu: ...
    @Menu.setter
    def Menu (self, value : ContextMenu) -> None: ...
class ICallback:
    def OnActivated (self, widget : TrayIndicator, e : EventArgs) -> None: ...
class ICallback:
    def OnElapsed (self, widget : UITimer, e : EventArgs) -> None: ...
class IHandler:
    @property
    def Interval (self) -> float: ...
    @Interval.setter
    def Interval (self, value : float) -> None: ...
    def Start (self) -> None: ...
    def Stop (self) -> None: ...
class ICallback:
    def OnClosed (self, widget : Window, e : EventArgs) -> None: ...
    def OnClosing (self, widget : Window, e : CancelEventArgs) -> None: ...
    def OnLocationChanged (self, widget : Window, e : EventArgs) -> None: ...
    def OnWindowStateChanged (self, widget : Window, e : EventArgs) -> None: ...
    def OnLogicalPixelSizeChanged (self, widget : Window, e : EventArgs) -> None: ...
class IHandler:
    @property
    def ToolBar (self) -> ToolBar: ...
    @ToolBar.setter
    def ToolBar (self, value : ToolBar) -> None: ...
    def Close (self) -> None: ...
    @property
    def Location (self) -> Point: ...
    @Location.setter
    def Location (self, value : Point) -> None: ...
    @property
    def Opacity (self) -> float: ...
    @Opacity.setter
    def Opacity (self, value : float) -> None: ...
    @property
    def Title (self) -> str: ...
    @Title.setter
    def Title (self, value : str) -> None: ...
    @property
    def Screen (self) -> Screen: ...
    @property
    def Menu (self) -> MenuBar: ...
    @Menu.setter
    def Menu (self, value : MenuBar) -> None: ...
    @property
    def Icon (self) -> Icon: ...
    @Icon.setter
    def Icon (self, value : Icon) -> None: ...
    @property
    def Resizable (self) -> bool: ...
    @Resizable.setter
    def Resizable (self, value : bool) -> None: ...
    @property
    def Maximizable (self) -> bool: ...
    @Maximizable.setter
    def Maximizable (self, value : bool) -> None: ...
    @property
    def Minimizable (self) -> bool: ...
    @Minimizable.setter
    def Minimizable (self, value : bool) -> None: ...
    @property
    def ShowInTaskbar (self) -> bool: ...
    @ShowInTaskbar.setter
    def ShowInTaskbar (self, value : bool) -> None: ...
    @property
    def Topmost (self) -> bool: ...
    @Topmost.setter
    def Topmost (self, value : bool) -> None: ...
    @property
    def WindowState (self) -> WindowState: ...
    @WindowState.setter
    def WindowState (self, value : WindowState) -> None: ...
    @property
    def RestoreBounds (self) -> Rectangle: ...
    @property
    def WindowStyle (self) -> WindowStyle: ...
    @WindowStyle.setter
    def WindowStyle (self, value : WindowStyle) -> None: ...
    def BringToFront (self) -> None: ...
    def SendToBack (self) -> None: ...
    def SetOwner (self, owner : Window) -> None: ...
    @property
    def LogicalPixelSize (self) -> Single: ...
